Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface QueryPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  QueryPackageImpl

    public interface QueryPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change.

See Also:
  `QueryFactory`

Nested Class Summary
`static interface` | `QueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ADHOC_QUERY_REQUEST_TYPE` The meta object id for the '`Adhoc Query Request Type`' class.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY` The feature id for the 'Filter Query' containment reference.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION` The feature id for the 'Response Option' containment reference.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY` The feature id for the 'SQL Query' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Adhoc Query Request Type' class.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE` The meta object id for the '`Adhoc Query Response Type`' class.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT` The feature id for the 'Filter Query Result' containment reference.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT` The feature id for the 'SQL Query Result' containment reference.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Adhoc Query Response Type' class.
`static int` | `ASSOCIATION_BRANCH_TYPE` The meta object id for the '`Association Branch Type`' class.
`static int` | `ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER` The feature id for the 'Association Filter' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY` The feature id for the 'Association Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER` The feature id for the 'External Link Filter' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY` The feature id for the 'Extrinsic Object Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY` The feature id for the 'Organization Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY` The feature id for the 'Registry Package Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH` The feature id for the 'Service Binding Branch' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY` The feature id for the 'Service Query' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH` The feature id for the 'Specification Link Branch' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE__USER_BRANCH` The feature id for the 'User Branch' containment reference.
`static int` | `ASSOCIATION_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Association Branch Type' class.
`static int` | `ASSOCIATION_QUERY_RESULT_TYPE` The meta object id for the '`Association Query Result Type`' class.
`static int` | `ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION` The feature id for the 'Association' containment reference list.
`static int` | `ASSOCIATION_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `ASSOCIATION_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Association Query Result Type' class.
`static int` | `ASSOCIATION_QUERY_TYPE` The meta object id for the '`Association Query Type`' class.
`static int` | `ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER` The feature id for the 'Association Filter' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Association Query Type' class.
`static int` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE` The meta object id for the '`Auditable Event Query Result Type`' class.
`static int` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT` The feature id for the 'Auditable Event' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Auditable Event Query Result Type' class.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE` The meta object id for the '`Auditable Event Query Type`' class.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER` The feature id for the 'Auditable Event Filter' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH` The feature id for the 'User Branch' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Auditable Event Query Type' class.
`static int` | `BOOLEAN_CLAUSE_TYPE` The meta object id for the '`Boolean Clause Type`' class.
`static int` | `BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE` The feature id for the 'Boolean Predicate' attribute.
`static int` | `BOOLEAN_CLAUSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Boolean Clause Type' class.
`static int` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE` The meta object id for the '`Classification Node Query Result Type`' class.
`static int` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE` The feature id for the 'Classification Node' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Node Query Result Type' class.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE` The meta object id for the '`Classification Node Query Type`' class.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH` The feature id for the 'Classification Node Children Branch' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER` The feature id for the 'Classification Node Filter' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH` The feature id for the 'Classification Node Parent Branch' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Node Query Type' class.
`static int` | `CLASSIFICATION_QUERY_RESULT_TYPE` The meta object id for the '`Classification Query Result Type`' class.
`static int` | `CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `CLASSIFICATION_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `CLASSIFICATION_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Query Result Type' class.
`static int` | `CLASSIFICATION_QUERY_TYPE` The meta object id for the '`Classification Query Type`' class.
`static int` | `CLASSIFICATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER` The feature id for the 'Classification Filter' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Query Type' class.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE` The meta object id for the '`Classification Scheme Query Result Type`' class.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME` The feature id for the 'Classification Scheme' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The feature id for the 'Registry Entry' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Scheme Query Result Type' class.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE` The meta object id for the '`Classification Scheme Query Type`' class.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER` The feature id for the 'Classification Scheme Filter' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_ENTRY_FILTER` The feature id for the 'Registry Entry Filter' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Scheme Query Type' class.
`static int` | `CLASSIFIED_BY_BRANCH_TYPE` The meta object id for the '`Classified By Branch Type`' class.
`static int` | `CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER` The feature id for the 'Classification Filter' containment reference.
`static int` | `CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `CLASSIFIED_BY_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Classified By Branch Type' class.
`static int` | `CLAUSE_TYPE` The meta object id for the '`Clause Type`' class.
`static int` | `CLAUSE_TYPE__COMPOUND_CLAUSE` The feature id for the 'Compound Clause' containment reference.
`static int` | `CLAUSE_TYPE__SIMPLE_CLAUSE` The feature id for the 'Simple Clause' containment reference.
`static int` | `CLAUSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Clause Type' class.
`static int` | `COMPOUND_CLAUSE_TYPE` The meta object id for the '`Compound Clause Type`' class.
`static int` | `COMPOUND_CLAUSE_TYPE__CLAUSE` The feature id for the 'Clause' containment reference list.
`static int` | `COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE` The feature id for the 'Connective Predicate' attribute.
`static int` | `COMPOUND_CLAUSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Compound Clause Type' class.
`static int` | `CONNECTIVE_PREDICATE_TYPE` The meta object id for the '`Connective Predicate Type`' enum.
`static int` | `CONNECTIVE_PREDICATE_TYPE_OBJECT` The meta object id for the 'Connective Predicate Type Object' data type.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__ADHOC_QUERY_REQUEST` The feature id for the 'Adhoc Query Request' containment reference.
`static int` | `DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE` The feature id for the 'Adhoc Query Response' containment reference.
`static int` | `DOCUMENT_ROOT__ASSOCIATION_FILTER` The feature id for the 'Association Filter' containment reference.
`static int` | `DOCUMENT_ROOT__ASSOCIATION_QUERY` The feature id for the 'Association Query' containment reference.
`static int` | `DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT` The feature id for the 'Association Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER` The feature id for the 'Auditable Event Filter' containment reference.
`static int` | `DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference.
`static int` | `DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT` The feature id for the 'Auditable Event Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__BOOLEAN_CLAUSE` The feature id for the 'Boolean Clause' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_FILTER` The feature id for the 'Classification Filter' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH` The feature id for the 'Classification Node Children Branch' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER` The feature id for the 'Classification Node Filter' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH` The feature id for the 'Classification Node Parent Branch' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT` The feature id for the 'Classification Node Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT` The feature id for the 'Classification Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER` The feature id for the 'Classification Scheme Filter' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT` The feature id for the 'Classification Scheme Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference.
`static int` | `DOCUMENT_ROOT__CLAUSE` The feature id for the 'Clause' containment reference.
`static int` | `DOCUMENT_ROOT__COMPOUND_CLAUSE` The feature id for the 'Compound Clause' containment reference.
`static int` | `DOCUMENT_ROOT__DATE_TIME_CLAUSE` The feature id for the 'Date Time Clause' attribute.
`static int` | `DOCUMENT_ROOT__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER` The feature id for the 'Email Address Filter' containment reference.
`static int` | `DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference.
`static int` | `DOCUMENT_ROOT__EXTERNAL_LINK_FILTER` The feature id for the 'External Link Filter' containment reference.
`static int` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER` The feature id for the 'Extrinsic Object Filter' containment reference.
`static int` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY` The feature id for the 'Extrinsic Object Query' containment reference.
`static int` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT` The feature id for the 'Extrinsic Object Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__FILTER_QUERY` The feature id for the 'Filter Query' containment reference.
`static int` | `DOCUMENT_ROOT__FILTER_QUERY_RESULT` The feature id for the 'Filter Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__FLOAT_CLAUSE` The feature id for the 'Float Clause' attribute.
`static int` | `DOCUMENT_ROOT__GET_CONTENT_REQUEST` The feature id for the 'Get Content Request' containment reference.
`static int` | `DOCUMENT_ROOT__GET_CONTENT_RESPONSE` The feature id for the 'Get Content Response' containment reference.
`static int` | `DOCUMENT_ROOT__INT_CLAUSE` The feature id for the 'Int Clause' attribute.
`static int` | `DOCUMENT_ROOT__LOCALIZED_STRING_FILTER` The feature id for the 'Localized String Filter' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH` The feature id for the 'Organization Children Branch' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION_FILTER` The feature id for the 'Organization Filter' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH` The feature id for the 'Organization Parent Branch' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION_QUERY` The feature id for the 'Organization Query' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT` The feature id for the 'Organization Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER` The feature id for the 'Postal Address Filter' containment reference.
`static int` | `DOCUMENT_ROOT__RATIONAL_CLAUSE` The feature id for the 'Rational Clause' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER` The feature id for the 'Registry Entry Filter' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT` The feature id for the 'Registry Entry Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT` The feature id for the 'Registry Object Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER` The feature id for the 'Registry Package Filter' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY` The feature id for the 'Registry Package Query' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT` The feature id for the 'Registry Package Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__RESPONSE_OPTION` The feature id for the 'Response Option' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_BINDING_BRANCH` The feature id for the 'Service Binding Branch' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_BINDING_FILTER` The feature id for the 'Service Binding Filter' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH` The feature id for the 'Service Binding Target Branch' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_FILTER` The feature id for the 'Service Filter' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_QUERY` The feature id for the 'Service Query' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_QUERY_RESULT` The feature id for the 'Service Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__SIMPLE_CLAUSE` The feature id for the 'Simple Clause' containment reference.
`static int` | `DOCUMENT_ROOT__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference.
`static int` | `DOCUMENT_ROOT__SLOT_FILTER` The feature id for the 'Slot Filter' containment reference.
`static int` | `DOCUMENT_ROOT__SLOT_VALUE_FILTER` The feature id for the 'Slot Value Filter' containment reference.
`static int` | `DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference.
`static int` | `DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH` The feature id for the 'Specification Link Branch' containment reference.
`static int` | `DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER` The feature id for the 'Specification Link Filter' containment reference.
`static int` | `DOCUMENT_ROOT__SQL_QUERY` The feature id for the 'Sql Query' attribute.
`static int` | `DOCUMENT_ROOT__SQL_QUERY_RESULT` The feature id for the 'Sql Query Result' containment reference.
`static int` | `DOCUMENT_ROOT__STRING_CLAUSE` The feature id for the 'String Clause' containment reference.
`static int` | `DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference.
`static int` | `DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER` The feature id for the 'Telephone Number Filter' containment reference.
`static int` | `DOCUMENT_ROOT__USER_BRANCH` The feature id for the 'User Branch' containment reference.
`static int` | `DOCUMENT_ROOT__USER_FILTER` The feature id for the 'User Filter' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static QueryPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE` The meta object id for the '`Extrinsic Object Query Result Type`' class.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT` The feature id for the 'Extrinsic Object' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The feature id for the 'Registry Entry' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Extrinsic Object Query Result Type' class.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE` The meta object id for the '`Extrinsic Object Query Type`' class.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER` The feature id for the 'Extrinsic Object Filter' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_ENTRY_FILTER` The feature id for the 'Registry Entry Filter' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Extrinsic Object Query Type' class.
`static int` | `FILTER_QUERY_RESULT_TYPE` The meta object id for the '`Filter Query Result Type`' class.
`static int` | `FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT` The feature id for the 'Association Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT` The feature id for the 'Auditable Event Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT` The feature id for the 'Classification Node Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT` The feature id for the 'Classification Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT` The feature id for the 'Classification Scheme Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT` The feature id for the 'Extrinsic Object Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT` The feature id for the 'Organization Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT` The feature id for the 'Registry Entry Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT` The feature id for the 'Registry Object Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT` The feature id for the 'Registry Package Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT` The feature id for the 'Service Query Result' containment reference.
`static int` | `FILTER_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Filter Query Result Type' class.
`static int` | `FILTER_QUERY_TYPE` The meta object id for the '`Filter Query Type`' class.
`static int` | `FILTER_QUERY_TYPE__ASSOCIATION_QUERY` The feature id for the 'Association Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY` The feature id for the 'Extrinsic Object Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__ORGANIZATION_QUERY` The feature id for the 'Organization Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY` The feature id for the 'Registry Package Query' containment reference.
`static int` | `FILTER_QUERY_TYPE__SERVICE_QUERY` The feature id for the 'Service Query' containment reference.
`static int` | `FILTER_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Filter Query Type' class.
`static int` | `FILTER_TYPE` The meta object id for the '`Filter Type`' class.
`static int` | `FILTER_TYPE__CLAUSE` The feature id for the 'Clause' containment reference.
`static int` | `FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Filter Type' class.
`static int` | `GET_CONTENT_REQUEST_TYPE` The meta object id for the '`Get Content Request Type`' class.
`static int` | `GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `GET_CONTENT_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Get Content Request Type' class.
`static int` | `GET_CONTENT_RESPONSE_TYPE` The meta object id for the '`Get Content Response Type`' class.
`static int` | `GET_CONTENT_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Get Content Response Type' class.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE` The meta object id for the '`International String Branch Type`' class.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER` The feature id for the 'Localized String Filter' containment reference list.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'International String Branch Type' class.
`static int` | `LOGICAL_PREDICATE_TYPE` The meta object id for the '`Logical Predicate Type`' enum.
`static int` | `LOGICAL_PREDICATE_TYPE_OBJECT` The meta object id for the 'Logical Predicate Type Object' data type.
`static int` | `ORGANIZATION_QUERY_RESULT_TYPE` The meta object id for the '`Organization Query Result Type`' class.
`static int` | `ORGANIZATION_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION` The feature id for the 'Organization' containment reference list.
`static int` | `ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `ORGANIZATION_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Organization Query Result Type' class.
`static int` | `ORGANIZATION_QUERY_TYPE` The meta object id for the '`Organization Query Type`' class.
`static int` | `ORGANIZATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH` The feature id for the 'Organization Children Branch' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER` The feature id for the 'Organization Filter' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH` The feature id for the 'Organization Parent Branch' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER` The feature id for the 'Postal Address Filter' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The feature id for the 'Telephone Number Filter' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__USER_BRANCH` The feature id for the 'User Branch' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Organization Query Type' class.
`static int` | `RATIONAL_CLAUSE_TYPE` The meta object id for the '`Rational Clause Type`' class.
`static int` | `RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE` The feature id for the 'Date Time Clause' attribute.
`static int` | `RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE` The feature id for the 'Float Clause' attribute.
`static int` | `RATIONAL_CLAUSE_TYPE__INT_CLAUSE` The feature id for the 'Int Clause' attribute.
`static int` | `RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE` The feature id for the 'Logical Predicate' attribute.
`static int` | `RATIONAL_CLAUSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Rational Clause Type' class.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE` The meta object id for the '`Registry Entry Query Result Type`' class.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME` The feature id for the 'Classification Scheme' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT` The feature id for the 'Extrinsic Object' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The feature id for the 'Registry Entry' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE` The feature id for the 'Registry Package' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE` The feature id for the 'Service' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Entry Query Result Type' class.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE` The meta object id for the '`Registry Entry Query Type`' class.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER` The feature id for the 'Registry Entry Filter' containment reference.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `REGISTRY_ENTRY_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Entry Query Type' class.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE` The meta object id for the '`Registry Object Query Type`' class.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Object Query Type' class.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE` The meta object id for the '`Registry Package Query Result Type`' class.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The feature id for the 'Registry Entry' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE` The feature id for the 'Registry Package' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Package Query Result Type' class.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE` The meta object id for the '`Registry Package Query Type`' class.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_FILTER` The feature id for the 'Registry Entry Filter' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER` The feature id for the 'Registry Package Filter' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Package Query Type' class.
`static int` | `RESPONSE_OPTION_TYPE` The meta object id for the '`Response Option Type`' class.
`static int` | `RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS` The feature id for the 'Return Composed Objects' attribute.
`static int` | `RESPONSE_OPTION_TYPE__RETURN_TYPE` The feature id for the 'Return Type' attribute.
`static int` | `RESPONSE_OPTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Response Option Type' class.
`static int` | `RETURN_TYPE_TYPE` The meta object id for the '`Return Type Type`' enum.
`static int` | `RETURN_TYPE_TYPE_OBJECT` The meta object id for the 'Return Type Type Object' data type.
`static int` | `SERVICE_BINDING_BRANCH_TYPE` The meta object id for the '`Service Binding Branch Type`' class.
`static int` | `SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER` The feature id for the 'Service Binding Filter' containment reference.
`static int` | `SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH` The feature id for the 'Service Binding Target Branch' containment reference.
`static int` | `SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH` The feature id for the 'Specification Link Branch' containment reference list.
`static int` | `SERVICE_BINDING_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Binding Branch Type' class.
`static int` | `SERVICE_QUERY_RESULT_TYPE` The meta object id for the '`Service Query Result Type`' class.
`static int` | `SERVICE_QUERY_RESULT_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `SERVICE_QUERY_RESULT_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The feature id for the 'Registry Entry' containment reference list.
`static int` | `SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference list.
`static int` | `SERVICE_QUERY_RESULT_TYPE__SERVICE` The feature id for the 'Service' containment reference list.
`static int` | `SERVICE_QUERY_RESULT_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Query Result Type' class.
`static int` | `SERVICE_QUERY_TYPE` The meta object id for the '`Service Query Type`' class.
`static int` | `SERVICE_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The feature id for the 'Classified By Branch' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The feature id for the 'External Identifier Filter' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `SERVICE_QUERY_TYPE__REGISTRY_ENTRY_FILTER` The feature id for the 'Registry Entry Filter' containment reference.
`static int` | `SERVICE_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The feature id for the 'Registry Object Filter' containment reference.
`static int` | `SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH` The feature id for the 'Service Binding Branch' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__SERVICE_FILTER` The feature id for the 'Service Filter' containment reference.
`static int` | `SERVICE_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The feature id for the 'Source Association Branch' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The feature id for the 'Target Association Branch' containment reference list.
`static int` | `SERVICE_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Query Type' class.
`static int` | `SIMPLE_CLAUSE_TYPE` The meta object id for the '`Simple Clause Type`' class.
`static int` | `SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE` The feature id for the 'Boolean Clause' containment reference.
`static int` | `SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT` The feature id for the 'Left Argument' attribute.
`static int` | `SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE` The feature id for the 'Rational Clause' containment reference.
`static int` | `SIMPLE_CLAUSE_TYPE__STRING_CLAUSE` The feature id for the 'String Clause' containment reference.
`static int` | `SIMPLE_CLAUSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Simple Clause Type' class.
`static int` | `SLOT_BRANCH_TYPE` The meta object id for the '`Slot Branch Type`' class.
`static int` | `SLOT_BRANCH_TYPE__SLOT_FILTER` The feature id for the 'Slot Filter' containment reference.
`static int` | `SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER` The feature id for the 'Slot Value Filter' containment reference list.
`static int` | `SLOT_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Slot Branch Type' class.
`static int` | `SPECIFICATION_LINK_BRANCH_TYPE` The meta object id for the '`Specification Link Branch Type`' class.
`static int` | `SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY` The feature id for the 'Registry Entry Query' containment reference.
`static int` | `SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER` The feature id for the 'Specification Link Filter' containment reference.
`static int` | `SPECIFICATION_LINK_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Specification Link Branch Type' class.
`static int` | `STRING_CLAUSE_TYPE` The meta object id for the '`String Clause Type`' class.
`static int` | `STRING_CLAUSE_TYPE__STRING_PREDICATE` The feature id for the 'String Predicate' attribute.
`static int` | `STRING_CLAUSE_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `STRING_CLAUSE_TYPE_FEATURE_COUNT` The number of structural features of the 'String Clause Type' class.
`static int` | `STRING_PREDICATE_TYPE` The meta object id for the '`String Predicate Type`' enum.
`static int` | `STRING_PREDICATE_TYPE_OBJECT` The meta object id for the 'String Predicate Type Object' data type.
`static int` | `USER_BRANCH_TYPE` The meta object id for the '`User Branch Type`' class.
`static int` | `USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER` The feature id for the 'Email Address Filter' containment reference list.
`static int` | `USER_BRANCH_TYPE__ORGANIZATION_QUERY` The feature id for the 'Organization Query' containment reference.
`static int` | `USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER` The feature id for the 'Postal Address Filter' containment reference.
`static int` | `USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER` The feature id for the 'Telephone Number Filter' containment reference list.
`static int` | `USER_BRANCH_TYPE__USER_FILTER` The feature id for the 'User Filter' containment reference.
`static int` | `USER_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'User Branch Type' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_FilterQuery()` Returns the meta object for the containment reference '`Filter Query`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_ResponseOption()` Returns the meta object for the containment reference '`Response Option`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_SQLQuery()` Returns the meta object for the attribute '`SQL Query`'.
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryRequestType()` Returns the meta object for class '`Adhoc Query Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryResponseType_FilterQueryResult()` Returns the meta object for the containment reference '`Filter Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryResponseType_SQLQueryResult()` Returns the meta object for the containment reference '`SQL Query Result`'.
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryResponseType()` Returns the meta object for class '`Adhoc Query Response Type`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_AssociationFilter()` Returns the meta object for the containment reference '`Association Filter`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_AssociationQuery()` Returns the meta object for the containment reference '`Association Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_AuditableEventQuery()` Returns the meta object for the containment reference '`Auditable Event Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ClassificationQuery()` Returns the meta object for the containment reference '`Classification Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ExternalIdentifierFilter()` Returns the meta object for the containment reference '`External Identifier Filter`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ExternalLinkFilter()` Returns the meta object for the containment reference '`External Link Filter`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ExtrinsicObjectQuery()` Returns the meta object for the containment reference '`Extrinsic Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_OrganizationQuery()` Returns the meta object for the containment reference '`Organization Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_RegistryEntryQuery()` Returns the meta object for the containment reference '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_RegistryPackageQuery()` Returns the meta object for the containment reference '`Registry Package Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ServiceBindingBranch()` Returns the meta object for the containment reference '`Service Binding Branch`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ServiceQuery()` Returns the meta object for the containment reference '`Service Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_SpecificationLinkBranch()` Returns the meta object for the containment reference '`Specification Link Branch`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_UserBranch()` Returns the meta object for the containment reference '`User Branch`'.
`org.eclipse.emf.ecore.EClass` | `getAssociationBranchType()` Returns the meta object for class '`Association Branch Type`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryResultType_Association()` Returns the meta object for the containment reference list '`Association`'.
`org.eclipse.emf.ecore.EAttribute` | `getAssociationQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getAssociationQueryResultType()` Returns the meta object for class '`Association Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_AssociationFilter()` Returns the meta object for the containment reference '`Association Filter`'.
`org.eclipse.emf.ecore.EClass` | `getAssociationQueryType()` Returns the meta object for class '`Association Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryResultType_AuditableEvent()` Returns the meta object for the containment reference list '`Auditable Event`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getAuditableEventQueryResultType()` Returns the meta object for class '`Auditable Event Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_AuditableEventFilter()` Returns the meta object for the containment reference '`Auditable Event Filter`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_RegistryEntryQuery()` Returns the meta object for the containment reference '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_UserBranch()` Returns the meta object for the containment reference '`User Branch`'.
`org.eclipse.emf.ecore.EClass` | `getAuditableEventQueryType()` Returns the meta object for class '`Auditable Event Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getBooleanClauseType_BooleanPredicate()` Returns the meta object for the attribute '`Boolean Predicate`'.
`org.eclipse.emf.ecore.EClass` | `getBooleanClauseType()` Returns the meta object for class '`Boolean Clause Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryResultType_ClassificationNode()` Returns the meta object for the containment reference list '`Classification Node`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeQueryResultType()` Returns the meta object for class '`Classification Node Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationNodeChildrenBranch()` Returns the meta object for the containment reference list '`Classification Node Children Branch`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationNodeFilter()` Returns the meta object for the containment reference '`Classification Node Filter`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationNodeParentBranch()` Returns the meta object for the containment reference '`Classification Node Parent Branch`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeQueryType()` Returns the meta object for class '`Classification Node Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryResultType_Classification()` Returns the meta object for the containment reference list '`Classification`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationQueryResultType()` Returns the meta object for class '`Classification Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationFilter()` Returns the meta object for the containment reference '`Classification Filter`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_RegistryEntryQuery()` Returns the meta object for the containment reference '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationQueryType()` Returns the meta object for class '`Classification Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_ClassificationScheme()` Returns the meta object for the containment reference list '`Classification Scheme`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationSchemeQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_RegistryEntry()` Returns the meta object for the containment reference list '`Registry Entry`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeQueryResultType()` Returns the meta object for class '`Classification Scheme Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryType_ClassificationSchemeFilter()` Returns the meta object for the containment reference '`Classification Scheme Filter`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeQueryType()` Returns the meta object for class '`Classification Scheme Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassifiedByBranchType_ClassificationFilter()` Returns the meta object for the containment reference '`Classification Filter`'.
`org.eclipse.emf.ecore.EReference` | `getClassifiedByBranchType_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassifiedByBranchType_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EClass` | `getClassifiedByBranchType()` Returns the meta object for class '`Classified By Branch Type`'.
`org.eclipse.emf.ecore.EReference` | `getClauseType_CompoundClause()` Returns the meta object for the containment reference '`Compound Clause`'.
`org.eclipse.emf.ecore.EReference` | `getClauseType_SimpleClause()` Returns the meta object for the containment reference '`Simple Clause`'.
`org.eclipse.emf.ecore.EClass` | `getClauseType()` Returns the meta object for class '`Clause Type`'.
`org.eclipse.emf.ecore.EReference` | `getCompoundClauseType_Clause()` Returns the meta object for the containment reference list '`Clause`'.
`org.eclipse.emf.ecore.EAttribute` | `getCompoundClauseType_ConnectivePredicate()` Returns the meta object for the attribute '`Connective Predicate`'.
`org.eclipse.emf.ecore.EClass` | `getCompoundClauseType()` Returns the meta object for class '`Compound Clause Type`'.
`org.eclipse.emf.ecore.EEnum` | `getConnectivePredicateType()` Returns the meta object for enum '`Connective Predicate Type`'.
`org.eclipse.emf.ecore.EDataType` | `getConnectivePredicateTypeObject()` Returns the meta object for data type '`Connective Predicate Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryRequest()` Returns the meta object for the containment reference '`Adhoc Query Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryResponse()` Returns the meta object for the containment reference '`Adhoc Query Response`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationFilter()` Returns the meta object for the containment reference '`Association Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationQuery()` Returns the meta object for the containment reference '`Association Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationQueryResult()` Returns the meta object for the containment reference '`Association Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventFilter()` Returns the meta object for the containment reference '`Auditable Event Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventQuery()` Returns the meta object for the containment reference '`Auditable Event Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventQueryResult()` Returns the meta object for the containment reference '`Auditable Event Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_BooleanClause()` Returns the meta object for the containment reference '`Boolean Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationFilter()` Returns the meta object for the containment reference '`Classification Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeChildrenBranch()` Returns the meta object for the containment reference '`Classification Node Children Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeFilter()` Returns the meta object for the containment reference '`Classification Node Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeParentBranch()` Returns the meta object for the containment reference '`Classification Node Parent Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeQueryResult()` Returns the meta object for the containment reference '`Classification Node Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationQuery()` Returns the meta object for the containment reference '`Classification Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationQueryResult()` Returns the meta object for the containment reference '`Classification Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeFilter()` Returns the meta object for the containment reference '`Classification Scheme Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeQueryResult()` Returns the meta object for the containment reference '`Classification Scheme Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassifiedByBranch()` Returns the meta object for the containment reference '`Classified By Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Clause()` Returns the meta object for the containment reference '`Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CompoundClause()` Returns the meta object for the containment reference '`Compound Clause`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_DateTimeClause()` Returns the meta object for the attribute '`Date Time Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DescriptionBranch()` Returns the meta object for the containment reference '`Description Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_EmailAddressFilter()` Returns the meta object for the containment reference '`Email Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalIdentifierFilter()` Returns the meta object for the containment reference '`External Identifier Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalLinkFilter()` Returns the meta object for the containment reference '`External Link Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectFilter()` Returns the meta object for the containment reference '`Extrinsic Object Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectQuery()` Returns the meta object for the containment reference '`Extrinsic Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectQueryResult()` Returns the meta object for the containment reference '`Extrinsic Object Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FilterQuery()` Returns the meta object for the containment reference '`Filter Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FilterQueryResult()` Returns the meta object for the containment reference '`Filter Query Result`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_FloatClause()` Returns the meta object for the attribute '`Float Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_GetContentRequest()` Returns the meta object for the containment reference '`Get Content Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_GetContentResponse()` Returns the meta object for the containment reference '`Get Content Response`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_IntClause()` Returns the meta object for the attribute '`Int Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_LocalizedStringFilter()` Returns the meta object for the containment reference '`Localized String Filter`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_NameBranch()` Returns the meta object for the containment reference '`Name Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationChildrenBranch()` Returns the meta object for the containment reference '`Organization Children Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationFilter()` Returns the meta object for the containment reference '`Organization Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationParentBranch()` Returns the meta object for the containment reference '`Organization Parent Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationQuery()` Returns the meta object for the containment reference '`Organization Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationQueryResult()` Returns the meta object for the containment reference '`Organization Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PostalAddressFilter()` Returns the meta object for the containment reference '`Postal Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RationalClause()` Returns the meta object for the containment reference '`Rational Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntryFilter()` Returns the meta object for the containment reference '`Registry Entry Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntryQuery()` Returns the meta object for the containment reference '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntryQueryResult()` Returns the meta object for the containment reference '`Registry Entry Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectFilter()` Returns the meta object for the containment reference '`Registry Object Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectQueryResult()` Returns the meta object for the containment reference '`Registry Object Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageFilter()` Returns the meta object for the containment reference '`Registry Package Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageQuery()` Returns the meta object for the containment reference '`Registry Package Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageQueryResult()` Returns the meta object for the containment reference '`Registry Package Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ResponseOption()` Returns the meta object for the containment reference '`Response Option`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingBranch()` Returns the meta object for the containment reference '`Service Binding Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingFilter()` Returns the meta object for the containment reference '`Service Binding Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingTargetBranch()` Returns the meta object for the containment reference '`Service Binding Target Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceFilter()` Returns the meta object for the containment reference '`Service Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceQuery()` Returns the meta object for the containment reference '`Service Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceQueryResult()` Returns the meta object for the containment reference '`Service Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SimpleClause()` Returns the meta object for the containment reference '`Simple Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotBranch()` Returns the meta object for the containment reference '`Slot Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotFilter()` Returns the meta object for the containment reference '`Slot Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotValueFilter()` Returns the meta object for the containment reference '`Slot Value Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SourceAssociationBranch()` Returns the meta object for the containment reference '`Source Association Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLinkBranch()` Returns the meta object for the containment reference '`Specification Link Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLinkFilter()` Returns the meta object for the containment reference '`Specification Link Filter`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_SqlQuery()` Returns the meta object for the attribute '`Sql Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SqlQueryResult()` Returns the meta object for the containment reference '`Sql Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_StringClause()` Returns the meta object for the containment reference '`String Clause`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TargetAssociationBranch()` Returns the meta object for the containment reference '`Target Association Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TelephoneNumberFilter()` Returns the meta object for the containment reference '`Telephone Number Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UserBranch()` Returns the meta object for the containment reference '`User Branch`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UserFilter()` Returns the meta object for the containment reference '`User Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_ExtrinsicObject()` Returns the meta object for the containment reference list '`Extrinsic Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getExtrinsicObjectQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_RegistryEntry()` Returns the meta object for the containment reference list '`Registry Entry`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectQueryResultType()` Returns the meta object for class '`Extrinsic Object Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryType_ExtrinsicObjectFilter()` Returns the meta object for the containment reference '`Extrinsic Object Filter`'.
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectQueryType()` Returns the meta object for class '`Extrinsic Object Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_AssociationQueryResult()` Returns the meta object for the containment reference '`Association Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_AuditableEventQueryResult()` Returns the meta object for the containment reference '`Auditable Event Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ClassificationNodeQueryResult()` Returns the meta object for the containment reference '`Classification Node Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ClassificationQueryResult()` Returns the meta object for the containment reference '`Classification Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ClassificationSchemeQueryResult()` Returns the meta object for the containment reference '`Classification Scheme Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ExtrinsicObjectQueryResult()` Returns the meta object for the containment reference '`Extrinsic Object Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_OrganizationQueryResult()` Returns the meta object for the containment reference '`Organization Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_RegistryEntryQueryResult()` Returns the meta object for the containment reference '`Registry Entry Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_RegistryObjectQueryResult()` Returns the meta object for the containment reference '`Registry Object Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_RegistryPackageQueryResult()` Returns the meta object for the containment reference '`Registry Package Query Result`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ServiceQueryResult()` Returns the meta object for the containment reference '`Service Query Result`'.
`org.eclipse.emf.ecore.EClass` | `getFilterQueryResultType()` Returns the meta object for class '`Filter Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_AssociationQuery()` Returns the meta object for the containment reference '`Association Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_AuditableEventQuery()` Returns the meta object for the containment reference '`Auditable Event Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ClassificationQuery()` Returns the meta object for the containment reference '`Classification Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ExtrinsicObjectQuery()` Returns the meta object for the containment reference '`Extrinsic Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_OrganizationQuery()` Returns the meta object for the containment reference '`Organization Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_RegistryEntryQuery()` Returns the meta object for the containment reference '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_RegistryPackageQuery()` Returns the meta object for the containment reference '`Registry Package Query`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ServiceQuery()` Returns the meta object for the containment reference '`Service Query`'.
`org.eclipse.emf.ecore.EClass` | `getFilterQueryType()` Returns the meta object for class '`Filter Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getFilterType_Clause()` Returns the meta object for the containment reference '`Clause`'.
`org.eclipse.emf.ecore.EClass` | `getFilterType()` Returns the meta object for class '`Filter Type`'.
`org.eclipse.emf.ecore.EReference` | `getGetContentRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getGetContentRequestType()` Returns the meta object for class '`Get Content Request Type`'.
`org.eclipse.emf.ecore.EClass` | `getGetContentResponseType()` Returns the meta object for class '`Get Content Response Type`'.
`org.eclipse.emf.ecore.EReference` | `getInternationalStringBranchType_LocalizedStringFilter()` Returns the meta object for the containment reference list '`Localized String Filter`'.
`org.eclipse.emf.ecore.EClass` | `getInternationalStringBranchType()` Returns the meta object for class '`International String Branch Type`'.
`org.eclipse.emf.ecore.EEnum` | `getLogicalPredicateType()` Returns the meta object for enum '`Logical Predicate Type`'.
`org.eclipse.emf.ecore.EDataType` | `getLogicalPredicateTypeObject()` Returns the meta object for data type '`Logical Predicate Type Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getOrganizationQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryResultType_Organization()` Returns the meta object for the containment reference list '`Organization`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EClass` | `getOrganizationQueryResultType()` Returns the meta object for class '`Organization Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_OrganizationChildrenBranch()` Returns the meta object for the containment reference list '`Organization Children Branch`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_OrganizationFilter()` Returns the meta object for the containment reference '`Organization Filter`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_OrganizationParentBranch()` Returns the meta object for the containment reference '`Organization Parent Branch`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_PostalAddressFilter()` Returns the meta object for the containment reference '`Postal Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_TelephoneNumberFilter()` Returns the meta object for the containment reference list '`Telephone Number Filter`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_UserBranch()` Returns the meta object for the containment reference '`User Branch`'.
`org.eclipse.emf.ecore.EClass` | `getOrganizationQueryType()` Returns the meta object for class '`Organization Query Type`'.
`QueryFactory` | `getQueryFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_DateTimeClause()` Returns the meta object for the attribute '`Date Time Clause`'.
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_FloatClause()` Returns the meta object for the attribute '`Float Clause`'.
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_IntClause()` Returns the meta object for the attribute '`Int Clause`'.
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_LogicalPredicate()` Returns the meta object for the attribute '`Logical Predicate`'.
`org.eclipse.emf.ecore.EClass` | `getRationalClauseType()` Returns the meta object for class '`Rational Clause Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_ClassificationScheme()` Returns the meta object for the containment reference list '`Classification Scheme`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_ExtrinsicObject()` Returns the meta object for the containment reference list '`Extrinsic Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_RegistryEntry()` Returns the meta object for the containment reference list '`Registry Entry`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_RegistryPackage()` Returns the meta object for the containment reference list '`Registry Package`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_Service()` Returns the meta object for the containment reference list '`Service`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryEntryQueryResultType()` Returns the meta object for class '`Registry Entry Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryType_RegistryEntryFilter()` Returns the meta object for the containment reference '`Registry Entry Filter`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryEntryQueryType()` Returns the meta object for class '`Registry Entry Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_AuditableEventQuery()` Returns the meta object for the containment reference list '`Auditable Event Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ClassifiedByBranch()` Returns the meta object for the containment reference list '`Classified By Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_DescriptionBranch()` Returns the meta object for the containment reference '`Description Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ExternalIdentifierFilter()` Returns the meta object for the containment reference list '`External Identifier Filter`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_NameBranch()` Returns the meta object for the containment reference '`Name Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_RegistryObjectFilter()` Returns the meta object for the containment reference '`Registry Object Filter`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SlotBranch()` Returns the meta object for the containment reference list '`Slot Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SourceAssociationBranch()` Returns the meta object for the containment reference list '`Source Association Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_TargetAssociationBranch()` Returns the meta object for the containment reference list '`Target Association Branch`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectQueryType()` Returns the meta object for class '`Registry Object Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryPackageQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_RegistryEntry()` Returns the meta object for the containment reference list '`Registry Entry`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_RegistryPackage()` Returns the meta object for the containment reference list '`Registry Package`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageQueryResultType()` Returns the meta object for class '`Registry Package Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryEntryQuery()` Returns the meta object for the containment reference list '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference list '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryPackageFilter()` Returns the meta object for the containment reference '`Registry Package Filter`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageQueryType()` Returns the meta object for class '`Registry Package Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnComposedObjects()` Returns the meta object for the attribute '`Return Composed Objects`'.
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnType()` Returns the meta object for the attribute '`Return Type`'.
`org.eclipse.emf.ecore.EClass` | `getResponseOptionType()` Returns the meta object for class '`Response Option Type`'.
`org.eclipse.emf.ecore.EEnum` | `getReturnTypeType()` Returns the meta object for enum '`Return Type Type`'.
`org.eclipse.emf.ecore.EDataType` | `getReturnTypeTypeObject()` Returns the meta object for data type '`Return Type Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingBranchType_ServiceBindingFilter()` Returns the meta object for the containment reference '`Service Binding Filter`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingBranchType_ServiceBindingTargetBranch()` Returns the meta object for the containment reference '`Service Binding Target Branch`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingBranchType_SpecificationLinkBranch()` Returns the meta object for the containment reference list '`Specification Link Branch`'.
`org.eclipse.emf.ecore.EClass` | `getServiceBindingBranchType()` Returns the meta object for class '`Service Binding Branch Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getServiceQueryResultType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_RegistryEntry()` Returns the meta object for the containment reference list '`Registry Entry`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_RegistryObject()` Returns the meta object for the containment reference list '`Registry Object`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_Service()` Returns the meta object for the containment reference list '`Service`'.
`org.eclipse.emf.ecore.EClass` | `getServiceQueryResultType()` Returns the meta object for class '`Service Query Result Type`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryType_ServiceBindingBranch()` Returns the meta object for the containment reference list '`Service Binding Branch`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryType_ServiceFilter()` Returns the meta object for the containment reference '`Service Filter`'.
`org.eclipse.emf.ecore.EClass` | `getServiceQueryType()` Returns the meta object for class '`Service Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getSimpleClauseType_BooleanClause()` Returns the meta object for the containment reference '`Boolean Clause`'.
`org.eclipse.emf.ecore.EAttribute` | `getSimpleClauseType_LeftArgument()` Returns the meta object for the attribute '`Left Argument`'.
`org.eclipse.emf.ecore.EReference` | `getSimpleClauseType_RationalClause()` Returns the meta object for the containment reference '`Rational Clause`'.
`org.eclipse.emf.ecore.EReference` | `getSimpleClauseType_StringClause()` Returns the meta object for the containment reference '`String Clause`'.
`org.eclipse.emf.ecore.EClass` | `getSimpleClauseType()` Returns the meta object for class '`Simple Clause Type`'.
`org.eclipse.emf.ecore.EReference` | `getSlotBranchType_SlotFilter()` Returns the meta object for the containment reference '`Slot Filter`'.
`org.eclipse.emf.ecore.EReference` | `getSlotBranchType_SlotValueFilter()` Returns the meta object for the containment reference list '`Slot Value Filter`'.
`org.eclipse.emf.ecore.EClass` | `getSlotBranchType()` Returns the meta object for class '`Slot Branch Type`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkBranchType_RegistryEntryQuery()` Returns the meta object for the containment reference '`Registry Entry Query`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkBranchType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkBranchType_SpecificationLinkFilter()` Returns the meta object for the containment reference '`Specification Link Filter`'.
`org.eclipse.emf.ecore.EClass` | `getSpecificationLinkBranchType()` Returns the meta object for class '`Specification Link Branch Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getStringClauseType_StringPredicate()` Returns the meta object for the attribute '`String Predicate`'.
`org.eclipse.emf.ecore.EAttribute` | `getStringClauseType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getStringClauseType()` Returns the meta object for class '`String Clause Type`'.
`org.eclipse.emf.ecore.EEnum` | `getStringPredicateType()` Returns the meta object for enum '`String Predicate Type`'.
`org.eclipse.emf.ecore.EDataType` | `getStringPredicateTypeObject()` Returns the meta object for data type '`String Predicate Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_EmailAddressFilter()` Returns the meta object for the containment reference list '`Email Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_OrganizationQuery()` Returns the meta object for the containment reference '`Organization Query`'.
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_PostalAddressFilter()` Returns the meta object for the containment reference '`Postal Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_TelephoneNumberFilter()` Returns the meta object for the containment reference list '`Telephone Number Filter`'.
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_UserFilter()` Returns the meta object for the containment reference '`User Filter`'.
`org.eclipse.emf.ecore.EClass` | `getUserBranchType()` Returns the meta object for class '`User Branch Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final QueryPackage eINSTANCE

  The singleton instance of the package.

### ADHOC_QUERY_REQUEST_TYPE

    static final int ADHOC_QUERY_REQUEST_TYPE

  The meta object id for the '`Adhoc Query Request Type`' class.

  See Also:
    `AdhocQueryRequestTypeImpl`, `QueryPackageImpl.getAdhocQueryRequestType()`, Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

    static final int ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

  The feature id for the 'Response Option' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY

    static final int ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY

  The feature id for the 'Filter Query' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY

    static final int ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY

  The feature id for the 'SQL Query' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT

    static final int ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Adhoc Query Request Type' class.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE

    static final int ADHOC_QUERY_RESPONSE_TYPE

  The meta object id for the '`Adhoc Query Response Type`' class.

  See Also:
    `AdhocQueryResponseTypeImpl`, `QueryPackageImpl.getAdhocQueryResponseType()`, Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT

    static final int ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT

  The feature id for the 'Filter Query Result' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT

    static final int ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT

  The feature id for the 'SQL Query Result' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT

    static final int ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Adhoc Query Response Type' class.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE

    static final int ASSOCIATION_BRANCH_TYPE

  The meta object id for the '`Association Branch Type`' class.

  See Also:
    `AssociationBranchTypeImpl`, `QueryPackageImpl.getAssociationBranchType()`, Constant Field Values

### ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER

    static final int ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER

  The feature id for the 'Association Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER

    static final int ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER

  The feature id for the 'External Link Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY

  The feature id for the 'Association Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY

  The feature id for the 'Organization Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY

  The feature id for the 'Registry Package Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY

  The feature id for the 'Extrinsic Object Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY

    static final int ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY

  The feature id for the 'Service Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__USER_BRANCH

    static final int ASSOCIATION_BRANCH_TYPE__USER_BRANCH

  The feature id for the 'User Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH

    static final int ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH

  The feature id for the 'Service Binding Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

    static final int ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

  The feature id for the 'Specification Link Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_BRANCH_TYPE_FEATURE_COUNT

    static final int ASSOCIATION_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Association Branch Type' class.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_RESULT_TYPE

    static final int ASSOCIATION_QUERY_RESULT_TYPE

  The meta object id for the '`Association Query Result Type`' class.

  See Also:
    `AssociationQueryResultTypeImpl`, `QueryPackageImpl.getAssociationQueryResultType()`, Constant Field Values

### ASSOCIATION_QUERY_RESULT_TYPE__GROUP

    static final int ASSOCIATION_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF

    static final int ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION

    static final int ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION

  The feature id for the 'Association' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int ASSOCIATION_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Association Query Result Type' class.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE

    static final int REGISTRY_OBJECT_QUERY_TYPE

  The meta object id for the '`Registry Object Query Type`' class.

  See Also:
    `RegistryObjectQueryTypeImpl`, `QueryPackageImpl.getRegistryObjectQueryType()`, Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT

    static final int REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Object Query Type' class.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE

    static final int ASSOCIATION_QUERY_TYPE

  The meta object id for the '`Association Query Type`' class.

  See Also:
    `AssociationQueryTypeImpl`, `QueryPackageImpl.getAssociationQueryType()`, Constant Field Values

### ASSOCIATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int ASSOCIATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int ASSOCIATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__NAME_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__SLOT_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER

    static final int ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER

  The feature id for the 'Association Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE_FEATURE_COUNT

    static final int ASSOCIATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Association Query Type' class.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_RESULT_TYPE

    static final int AUDITABLE_EVENT_QUERY_RESULT_TYPE

  The meta object id for the '`Auditable Event Query Result Type`' class.

  See Also:
    `AuditableEventQueryResultTypeImpl`, `QueryPackageImpl.getAuditableEventQueryResultType()`, Constant Field Values

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP

    static final int AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF

    static final int AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT

    static final int AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT

  The feature id for the 'Auditable Event' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int AUDITABLE_EVENT_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Auditable Event Query Result Type' class.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE

    static final int AUDITABLE_EVENT_QUERY_TYPE

  The meta object id for the '`Auditable Event Query Type`' class.

  See Also:
    `AuditableEventQueryTypeImpl`, `QueryPackageImpl.getAuditableEventQueryType()`, Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int AUDITABLE_EVENT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__NAME_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__SLOT_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER

    static final int AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER

  The feature id for the 'Auditable Event Filter' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final int AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH

    static final int AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH

  The feature id for the 'User Branch' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT

    static final int AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Auditable Event Query Type' class.

  See Also:
    Constant Field Values

### BOOLEAN_CLAUSE_TYPE

    static final int BOOLEAN_CLAUSE_TYPE

  The meta object id for the '`Boolean Clause Type`' class.

  See Also:
    `BooleanClauseTypeImpl`, `QueryPackageImpl.getBooleanClauseType()`, Constant Field Values

### BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE

    static final int BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE

  The feature id for the 'Boolean Predicate' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_CLAUSE_TYPE_FEATURE_COUNT

    static final int BOOLEAN_CLAUSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Boolean Clause Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE

    static final int CLASSIFICATION_NODE_QUERY_RESULT_TYPE

  The meta object id for the '`Classification Node Query Result Type`' class.

  See Also:
    `ClassificationNodeQueryResultTypeImpl`, `QueryPackageImpl.getClassificationNodeQueryResultType()`, Constant Field Values

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP

    static final int CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF

    static final int CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE

    static final int CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE

  The feature id for the 'Classification Node' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_NODE_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Node Query Result Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE

    static final int CLASSIFICATION_NODE_QUERY_TYPE

  The meta object id for the '`Classification Node Query Type`' class.

  See Also:
    `ClassificationNodeQueryTypeImpl`, `QueryPackageImpl.getClassificationNodeQueryType()`, Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int CLASSIFICATION_NODE_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER

  The feature id for the 'Classification Node Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH

  The feature id for the 'Classification Node Parent Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH

  The feature id for the 'Classification Node Children Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Node Query Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_RESULT_TYPE

    static final int CLASSIFICATION_QUERY_RESULT_TYPE

  The meta object id for the '`Classification Query Result Type`' class.

  See Also:
    `ClassificationQueryResultTypeImpl`, `QueryPackageImpl.getClassificationQueryResultType()`, Constant Field Values

### CLASSIFICATION_QUERY_RESULT_TYPE__GROUP

    static final int CLASSIFICATION_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF

    static final int CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION

    static final int CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Query Result Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE

    static final int CLASSIFICATION_QUERY_TYPE

  The meta object id for the '`Classification Query Type`' class.

  See Also:
    `ClassificationQueryTypeImpl`, `QueryPackageImpl.getClassificationQueryType()`, Constant Field Values

### CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__NAME_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER

  The feature id for the 'Classification Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Query Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE

  The meta object id for the '`Classification Scheme Query Result Type`' class.

  See Also:
    `ClassificationSchemeQueryResultTypeImpl`, `QueryPackageImpl.getClassificationSchemeQueryResultType()`, Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The feature id for the 'Registry Entry' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

  The feature id for the 'Classification Scheme' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Scheme Query Result Type' class.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE

    static final int REGISTRY_ENTRY_QUERY_TYPE

  The meta object id for the '`Registry Entry Query Type`' class.

  See Also:
    `RegistryEntryQueryTypeImpl`, `QueryPackageImpl.getRegistryEntryQueryType()`, Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int REGISTRY_ENTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int REGISTRY_ENTRY_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__NAME_BRANCH

    static final int REGISTRY_ENTRY_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int REGISTRY_ENTRY_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int REGISTRY_ENTRY_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__SLOT_BRANCH

    static final int REGISTRY_ENTRY_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int REGISTRY_ENTRY_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int REGISTRY_ENTRY_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER

    static final int REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER

  The feature id for the 'Registry Entry Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_TYPE_FEATURE_COUNT

    static final int REGISTRY_ENTRY_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Entry Query Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE

  The meta object id for the '`Classification Scheme Query Type`' class.

  See Also:
    `ClassificationSchemeQueryTypeImpl`, `QueryPackageImpl.getClassificationSchemeQueryType()`, Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_ENTRY_FILTER

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_ENTRY_FILTER

  The feature id for the 'Registry Entry Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER

  The feature id for the 'Classification Scheme Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Scheme Query Type' class.

  See Also:
    Constant Field Values

### CLASSIFIED_BY_BRANCH_TYPE

    static final int CLASSIFIED_BY_BRANCH_TYPE

  The meta object id for the '`Classified By Branch Type`' class.

  See Also:
    `ClassifiedByBranchTypeImpl`, `QueryPackageImpl.getClassifiedByBranchType()`, Constant Field Values

### CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER

    static final int CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER

  The feature id for the 'Classification Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final int CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

    static final int CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFIED_BY_BRANCH_TYPE_FEATURE_COUNT

    static final int CLASSIFIED_BY_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classified By Branch Type' class.

  See Also:
    Constant Field Values

### CLAUSE_TYPE

    static final int CLAUSE_TYPE

  The meta object id for the '`Clause Type`' class.

  See Also:
    `ClauseTypeImpl`, `QueryPackageImpl.getClauseType()`, Constant Field Values

### CLAUSE_TYPE__SIMPLE_CLAUSE

    static final int CLAUSE_TYPE__SIMPLE_CLAUSE

  The feature id for the 'Simple Clause' containment reference.

  See Also:
    Constant Field Values

### CLAUSE_TYPE__COMPOUND_CLAUSE

    static final int CLAUSE_TYPE__COMPOUND_CLAUSE

  The feature id for the 'Compound Clause' containment reference.

  See Also:
    Constant Field Values

### CLAUSE_TYPE_FEATURE_COUNT

    static final int CLAUSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Clause Type' class.

  See Also:
    Constant Field Values

### COMPOUND_CLAUSE_TYPE

    static final int COMPOUND_CLAUSE_TYPE

  The meta object id for the '`Compound Clause Type`' class.

  See Also:
    `CompoundClauseTypeImpl`, `QueryPackageImpl.getCompoundClauseType()`, Constant Field Values

### COMPOUND_CLAUSE_TYPE__CLAUSE

    static final int COMPOUND_CLAUSE_TYPE__CLAUSE

  The feature id for the 'Clause' containment reference list.

  See Also:
    Constant Field Values

### COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE

    static final int COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE

  The feature id for the 'Connective Predicate' attribute.

  See Also:
    Constant Field Values

### COMPOUND_CLAUSE_TYPE_FEATURE_COUNT

    static final int COMPOUND_CLAUSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Compound Clause Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `QueryPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

    static final int DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

  The feature id for the 'Adhoc Query Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

    static final int DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

  The feature id for the 'Adhoc Query Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ASSOCIATION_FILTER

    static final int DOCUMENT_ROOT__ASSOCIATION_FILTER

  The feature id for the 'Association Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ASSOCIATION_QUERY

    static final int DOCUMENT_ROOT__ASSOCIATION_QUERY

  The feature id for the 'Association Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT

    static final int DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT

  The feature id for the 'Association Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER

    static final int DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER

  The feature id for the 'Auditable Event Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

    static final int DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT

    static final int DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT

  The feature id for the 'Auditable Event Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__BOOLEAN_CLAUSE

    static final int DOCUMENT_ROOT__BOOLEAN_CLAUSE

  The feature id for the 'Boolean Clause' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_FILTER

    static final int DOCUMENT_ROOT__CLASSIFICATION_FILTER

  The feature id for the 'Classification Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH

  The feature id for the 'Classification Node Children Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER

  The feature id for the 'Classification Node Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH

  The feature id for the 'Classification Node Parent Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT

  The feature id for the 'Classification Node Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_QUERY

    static final int DOCUMENT_ROOT__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT

    static final int DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT

  The feature id for the 'Classification Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER

    static final int DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER

  The feature id for the 'Classification Scheme Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

    static final int DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT

    static final int DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT

  The feature id for the 'Classification Scheme Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH

    static final int DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLAUSE

    static final int DOCUMENT_ROOT__CLAUSE

  The feature id for the 'Clause' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__COMPOUND_CLAUSE

    static final int DOCUMENT_ROOT__COMPOUND_CLAUSE

  The feature id for the 'Compound Clause' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DATE_TIME_CLAUSE

    static final int DOCUMENT_ROOT__DATE_TIME_CLAUSE

  The feature id for the 'Date Time Clause' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DESCRIPTION_BRANCH

    static final int DOCUMENT_ROOT__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER

    static final int DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER

  The feature id for the 'Email Address Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER

    static final int DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTERNAL_LINK_FILTER

    static final int DOCUMENT_ROOT__EXTERNAL_LINK_FILTER

  The feature id for the 'External Link Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER

    static final int DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER

  The feature id for the 'Extrinsic Object Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

    static final int DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

  The feature id for the 'Extrinsic Object Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT

    static final int DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT

  The feature id for the 'Extrinsic Object Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FILTER_QUERY

    static final int DOCUMENT_ROOT__FILTER_QUERY

  The feature id for the 'Filter Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FILTER_QUERY_RESULT

    static final int DOCUMENT_ROOT__FILTER_QUERY_RESULT

  The feature id for the 'Filter Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FLOAT_CLAUSE

    static final int DOCUMENT_ROOT__FLOAT_CLAUSE

  The feature id for the 'Float Clause' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__GET_CONTENT_REQUEST

    static final int DOCUMENT_ROOT__GET_CONTENT_REQUEST

  The feature id for the 'Get Content Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__GET_CONTENT_RESPONSE

    static final int DOCUMENT_ROOT__GET_CONTENT_RESPONSE

  The feature id for the 'Get Content Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__INT_CLAUSE

    static final int DOCUMENT_ROOT__INT_CLAUSE

  The feature id for the 'Int Clause' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__LOCALIZED_STRING_FILTER

    static final int DOCUMENT_ROOT__LOCALIZED_STRING_FILTER

  The feature id for the 'Localized String Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__NAME_BRANCH

    static final int DOCUMENT_ROOT__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH

    static final int DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH

  The feature id for the 'Organization Children Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION_FILTER

    static final int DOCUMENT_ROOT__ORGANIZATION_FILTER

  The feature id for the 'Organization Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH

    static final int DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH

  The feature id for the 'Organization Parent Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION_QUERY

    static final int DOCUMENT_ROOT__ORGANIZATION_QUERY

  The feature id for the 'Organization Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT

    static final int DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT

  The feature id for the 'Organization Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER

    static final int DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER

  The feature id for the 'Postal Address Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__RATIONAL_CLAUSE

    static final int DOCUMENT_ROOT__RATIONAL_CLAUSE

  The feature id for the 'Rational Clause' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER

    static final int DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER

  The feature id for the 'Registry Entry Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY

    static final int DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT

    static final int DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT

  The feature id for the 'Registry Entry Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER

    static final int DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

    static final int DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT

    static final int DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT

  The feature id for the 'Registry Object Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER

    static final int DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER

  The feature id for the 'Registry Package Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

    static final int DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

  The feature id for the 'Registry Package Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT

    static final int DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT

  The feature id for the 'Registry Package Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__RESPONSE_OPTION

    static final int DOCUMENT_ROOT__RESPONSE_OPTION

  The feature id for the 'Response Option' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_BINDING_BRANCH

    static final int DOCUMENT_ROOT__SERVICE_BINDING_BRANCH

  The feature id for the 'Service Binding Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_BINDING_FILTER

    static final int DOCUMENT_ROOT__SERVICE_BINDING_FILTER

  The feature id for the 'Service Binding Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH

    static final int DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH

  The feature id for the 'Service Binding Target Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_FILTER

    static final int DOCUMENT_ROOT__SERVICE_FILTER

  The feature id for the 'Service Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_QUERY

    static final int DOCUMENT_ROOT__SERVICE_QUERY

  The feature id for the 'Service Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_QUERY_RESULT

    static final int DOCUMENT_ROOT__SERVICE_QUERY_RESULT

  The feature id for the 'Service Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SIMPLE_CLAUSE

    static final int DOCUMENT_ROOT__SIMPLE_CLAUSE

  The feature id for the 'Simple Clause' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SLOT_BRANCH

    static final int DOCUMENT_ROOT__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SLOT_FILTER

    static final int DOCUMENT_ROOT__SLOT_FILTER

  The feature id for the 'Slot Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SLOT_VALUE_FILTER

    static final int DOCUMENT_ROOT__SLOT_VALUE_FILTER

  The feature id for the 'Slot Value Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH

    static final int DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH

    static final int DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH

  The feature id for the 'Specification Link Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER

    static final int DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER

  The feature id for the 'Specification Link Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SQL_QUERY

    static final int DOCUMENT_ROOT__SQL_QUERY

  The feature id for the 'Sql Query' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SQL_QUERY_RESULT

    static final int DOCUMENT_ROOT__SQL_QUERY_RESULT

  The feature id for the 'Sql Query Result' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__STRING_CLAUSE

    static final int DOCUMENT_ROOT__STRING_CLAUSE

  The feature id for the 'String Clause' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH

    static final int DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER

    static final int DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER

  The feature id for the 'Telephone Number Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__USER_BRANCH

    static final int DOCUMENT_ROOT__USER_BRANCH

  The feature id for the 'User Branch' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__USER_FILTER

    static final int DOCUMENT_ROOT__USER_FILTER

  The feature id for the 'User Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE

  The meta object id for the '`Extrinsic Object Query Result Type`' class.

  See Also:
    `ExtrinsicObjectQueryResultTypeImpl`, `QueryPackageImpl.getExtrinsicObjectQueryResultType()`, Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The feature id for the 'Registry Entry' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

  The feature id for the 'Extrinsic Object' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int EXTRINSIC_OBJECT_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Extrinsic Object Query Result Type' class.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE

    static final int EXTRINSIC_OBJECT_QUERY_TYPE

  The meta object id for the '`Extrinsic Object Query Type`' class.

  See Also:
    `ExtrinsicObjectQueryTypeImpl`, `QueryPackageImpl.getExtrinsicObjectQueryType()`, Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_ENTRY_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_ENTRY_FILTER

  The feature id for the 'Registry Entry Filter' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER

  The feature id for the 'Extrinsic Object Filter' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT

    static final int EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Extrinsic Object Query Type' class.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE

    static final int FILTER_QUERY_RESULT_TYPE

  The meta object id for the '`Filter Query Result Type`' class.

  See Also:
    `FilterQueryResultTypeImpl`, `QueryPackageImpl.getFilterQueryResultType()`, Constant Field Values

### FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT

  The feature id for the 'Registry Object Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT

  The feature id for the 'Registry Entry Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT

  The feature id for the 'Association Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT

  The feature id for the 'Auditable Event Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT

  The feature id for the 'Classification Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT

  The feature id for the 'Classification Node Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT

  The feature id for the 'Classification Scheme Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT

  The feature id for the 'Registry Package Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT

  The feature id for the 'Extrinsic Object Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT

  The feature id for the 'Organization Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT

    static final int FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT

  The feature id for the 'Service Query Result' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int FILTER_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Filter Query Result Type' class.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE

    static final int FILTER_QUERY_TYPE

  The meta object id for the '`Filter Query Type`' class.

  See Also:
    `FilterQueryTypeImpl`, `QueryPackageImpl.getFilterQueryType()`, Constant Field Values

### FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final int FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__ASSOCIATION_QUERY

    static final int FILTER_QUERY_TYPE__ASSOCIATION_QUERY

  The feature id for the 'Association Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int FILTER_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

    static final int FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final int FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY

    static final int FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY

  The feature id for the 'Registry Package Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY

    static final int FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY

  The feature id for the 'Extrinsic Object Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__ORGANIZATION_QUERY

    static final int FILTER_QUERY_TYPE__ORGANIZATION_QUERY

  The feature id for the 'Organization Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE__SERVICE_QUERY

    static final int FILTER_QUERY_TYPE__SERVICE_QUERY

  The feature id for the 'Service Query' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE_FEATURE_COUNT

    static final int FILTER_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Filter Query Type' class.

  See Also:
    Constant Field Values

### FILTER_TYPE

    static final int FILTER_TYPE

  The meta object id for the '`Filter Type`' class.

  See Also:
    `FilterTypeImpl`, `QueryPackageImpl.getFilterType()`, Constant Field Values

### FILTER_TYPE__CLAUSE

    static final int FILTER_TYPE__CLAUSE

  The feature id for the 'Clause' containment reference.

  See Also:
    Constant Field Values

### FILTER_TYPE_FEATURE_COUNT

    static final int FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Filter Type' class.

  See Also:
    Constant Field Values

### GET_CONTENT_REQUEST_TYPE

    static final int GET_CONTENT_REQUEST_TYPE

  The meta object id for the '`Get Content Request Type`' class.

  See Also:
    `GetContentRequestTypeImpl`, `QueryPackageImpl.getGetContentRequestType()`, Constant Field Values

### GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST

    static final int GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### GET_CONTENT_REQUEST_TYPE_FEATURE_COUNT

    static final int GET_CONTENT_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Get Content Request Type' class.

  See Also:
    Constant Field Values

### GET_CONTENT_RESPONSE_TYPE

    static final int GET_CONTENT_RESPONSE_TYPE

  The meta object id for the '`Get Content Response Type`' class.

  See Also:
    `GetContentResponseTypeImpl`, `QueryPackageImpl.getGetContentResponseType()`, Constant Field Values

### GET_CONTENT_RESPONSE_TYPE_FEATURE_COUNT

    static final int GET_CONTENT_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Get Content Response Type' class.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE

    static final int INTERNATIONAL_STRING_BRANCH_TYPE

  The meta object id for the '`International String Branch Type`' class.

  See Also:
    `InternationalStringBranchTypeImpl`, `QueryPackageImpl.getInternationalStringBranchType()`, Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

    static final int INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

  The feature id for the 'Localized String Filter' containment reference list.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT

    static final int INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'International String Branch Type' class.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_RESULT_TYPE

    static final int ORGANIZATION_QUERY_RESULT_TYPE

  The meta object id for the '`Organization Query Result Type`' class.

  See Also:
    `OrganizationQueryResultTypeImpl`, `QueryPackageImpl.getOrganizationQueryResultType()`, Constant Field Values

### ORGANIZATION_QUERY_RESULT_TYPE__GROUP

    static final int ORGANIZATION_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF

    static final int ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION

    static final int ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION

  The feature id for the 'Organization' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int ORGANIZATION_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Organization Query Result Type' class.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE

    static final int ORGANIZATION_QUERY_TYPE

  The meta object id for the '`Organization Query Type`' class.

  See Also:
    `OrganizationQueryTypeImpl`, `QueryPackageImpl.getOrganizationQueryType()`, Constant Field Values

### ORGANIZATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int ORGANIZATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int ORGANIZATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__NAME_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__SLOT_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER

    static final int ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER

  The feature id for the 'Organization Filter' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER

    static final int ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER

  The feature id for the 'Postal Address Filter' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final int ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The feature id for the 'Telephone Number Filter' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__USER_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__USER_BRANCH

  The feature id for the 'User Branch' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH

  The feature id for the 'Organization Parent Branch' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH

  The feature id for the 'Organization Children Branch' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE_FEATURE_COUNT

    static final int ORGANIZATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Organization Query Type' class.

  See Also:
    Constant Field Values

### RATIONAL_CLAUSE_TYPE

    static final int RATIONAL_CLAUSE_TYPE

  The meta object id for the '`Rational Clause Type`' class.

  See Also:
    `RationalClauseTypeImpl`, `QueryPackageImpl.getRationalClauseType()`, Constant Field Values

### RATIONAL_CLAUSE_TYPE__INT_CLAUSE

    static final int RATIONAL_CLAUSE_TYPE__INT_CLAUSE

  The feature id for the 'Int Clause' attribute.

  See Also:
    Constant Field Values

### RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE

    static final int RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE

  The feature id for the 'Float Clause' attribute.

  See Also:
    Constant Field Values

### RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE

    static final int RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE

  The feature id for the 'Date Time Clause' attribute.

  See Also:
    Constant Field Values

### RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE

    static final int RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE

  The feature id for the 'Logical Predicate' attribute.

  See Also:
    Constant Field Values

### RATIONAL_CLAUSE_TYPE_FEATURE_COUNT

    static final int RATIONAL_CLAUSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Rational Clause Type' class.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE

  The meta object id for the '`Registry Entry Query Result Type`' class.

  See Also:
    `RegistryEntryQueryResultTypeImpl`, `QueryPackageImpl.getRegistryEntryQueryResultType()`, Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

  The feature id for the 'Classification Scheme' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

  The feature id for the 'Extrinsic Object' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The feature id for the 'Registry Entry' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

  The feature id for the 'Registry Package' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE

  The feature id for the 'Service' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_ENTRY_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int REGISTRY_ENTRY_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Entry Query Result Type' class.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE

  The meta object id for the '`Registry Package Query Result Type`' class.

  See Also:
    `RegistryPackageQueryResultTypeImpl`, `QueryPackageImpl.getRegistryPackageQueryResultType()`, Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The feature id for the 'Registry Entry' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

  The feature id for the 'Registry Package' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int REGISTRY_PACKAGE_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Package Query Result Type' class.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE

    static final int REGISTRY_PACKAGE_QUERY_TYPE

  The meta object id for the '`Registry Package Query Type`' class.

  See Also:
    `RegistryPackageQueryTypeImpl`, `QueryPackageImpl.getRegistryPackageQueryType()`, Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_FILTER

    static final int REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_FILTER

  The feature id for the 'Registry Entry Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER

    static final int REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER

  The feature id for the 'Registry Package Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT

    static final int REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Package Query Type' class.

  See Also:
    Constant Field Values

### RESPONSE_OPTION_TYPE

    static final int RESPONSE_OPTION_TYPE

  The meta object id for the '`Response Option Type`' class.

  See Also:
    `ResponseOptionTypeImpl`, `QueryPackageImpl.getResponseOptionType()`, Constant Field Values

### RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

    static final int RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

  The feature id for the 'Return Composed Objects' attribute.

  See Also:
    Constant Field Values

### RESPONSE_OPTION_TYPE__RETURN_TYPE

    static final int RESPONSE_OPTION_TYPE__RETURN_TYPE

  The feature id for the 'Return Type' attribute.

  See Also:
    Constant Field Values

### RESPONSE_OPTION_TYPE_FEATURE_COUNT

    static final int RESPONSE_OPTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Response Option Type' class.

  See Also:
    Constant Field Values

### SERVICE_BINDING_BRANCH_TYPE

    static final int SERVICE_BINDING_BRANCH_TYPE

  The meta object id for the '`Service Binding Branch Type`' class.

  See Also:
    `ServiceBindingBranchTypeImpl`, `QueryPackageImpl.getServiceBindingBranchType()`, Constant Field Values

### SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER

    static final int SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER

  The feature id for the 'Service Binding Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

    static final int SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

  The feature id for the 'Specification Link Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH

    static final int SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH

  The feature id for the 'Service Binding Target Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_BRANCH_TYPE_FEATURE_COUNT

    static final int SERVICE_BINDING_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Binding Branch Type' class.

  See Also:
    Constant Field Values

### SERVICE_QUERY_RESULT_TYPE

    static final int SERVICE_QUERY_RESULT_TYPE

  The meta object id for the '`Service Query Result Type`' class.

  See Also:
    `ServiceQueryResultTypeImpl`, `QueryPackageImpl.getServiceQueryResultType()`, Constant Field Values

### SERVICE_QUERY_RESULT_TYPE__GROUP

    static final int SERVICE_QUERY_RESULT_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_RESULT_TYPE__OBJECT_REF

    static final int SERVICE_QUERY_RESULT_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final int SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final int SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The feature id for the 'Registry Entry' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_RESULT_TYPE__SERVICE

    static final int SERVICE_QUERY_RESULT_TYPE__SERVICE

  The feature id for the 'Service' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_RESULT_TYPE_FEATURE_COUNT

    static final int SERVICE_QUERY_RESULT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Query Result Type' class.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE

    static final int SERVICE_QUERY_TYPE

  The meta object id for the '`Service Query Type`' class.

  See Also:
    `ServiceQueryTypeImpl`, `QueryPackageImpl.getServiceQueryType()`, Constant Field Values

### SERVICE_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final int SERVICE_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The feature id for the 'Registry Object Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final int SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The feature id for the 'External Identifier Filter' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final int SERVICE_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__NAME_BRANCH

    static final int SERVICE_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final int SERVICE_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The feature id for the 'Classified By Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SLOT_BRANCH

    static final int SERVICE_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final int SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The feature id for the 'Source Association Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final int SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The feature id for the 'Target Association Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__REGISTRY_ENTRY_FILTER

    static final int SERVICE_QUERY_TYPE__REGISTRY_ENTRY_FILTER

  The feature id for the 'Registry Entry Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SERVICE_FILTER

    static final int SERVICE_QUERY_TYPE__SERVICE_FILTER

  The feature id for the 'Service Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH

    static final int SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH

  The feature id for the 'Service Binding Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE_FEATURE_COUNT

    static final int SERVICE_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Query Type' class.

  See Also:
    Constant Field Values

### SIMPLE_CLAUSE_TYPE

    static final int SIMPLE_CLAUSE_TYPE

  The meta object id for the '`Simple Clause Type`' class.

  See Also:
    `SimpleClauseTypeImpl`, `QueryPackageImpl.getSimpleClauseType()`, Constant Field Values

### SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE

    static final int SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE

  The feature id for the 'Boolean Clause' containment reference.

  See Also:
    Constant Field Values

### SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE

    static final int SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE

  The feature id for the 'Rational Clause' containment reference.

  See Also:
    Constant Field Values

### SIMPLE_CLAUSE_TYPE__STRING_CLAUSE

    static final int SIMPLE_CLAUSE_TYPE__STRING_CLAUSE

  The feature id for the 'String Clause' containment reference.

  See Also:
    Constant Field Values

### SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT

    static final int SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT

  The feature id for the 'Left Argument' attribute.

  See Also:
    Constant Field Values

### SIMPLE_CLAUSE_TYPE_FEATURE_COUNT

    static final int SIMPLE_CLAUSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Simple Clause Type' class.

  See Also:
    Constant Field Values

### SLOT_BRANCH_TYPE

    static final int SLOT_BRANCH_TYPE

  The meta object id for the '`Slot Branch Type`' class.

  See Also:
    `SlotBranchTypeImpl`, `QueryPackageImpl.getSlotBranchType()`, Constant Field Values

### SLOT_BRANCH_TYPE__SLOT_FILTER

    static final int SLOT_BRANCH_TYPE__SLOT_FILTER

  The feature id for the 'Slot Filter' containment reference.

  See Also:
    Constant Field Values

### SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER

    static final int SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER

  The feature id for the 'Slot Value Filter' containment reference list.

  See Also:
    Constant Field Values

### SLOT_BRANCH_TYPE_FEATURE_COUNT

    static final int SLOT_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Slot Branch Type' class.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_BRANCH_TYPE

    static final int SPECIFICATION_LINK_BRANCH_TYPE

  The meta object id for the '`Specification Link Branch Type`' class.

  See Also:
    `SpecificationLinkBranchTypeImpl`, `QueryPackageImpl.getSpecificationLinkBranchType()`, Constant Field Values

### SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER

    static final int SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER

  The feature id for the 'Specification Link Filter' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

    static final int SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

    static final int SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

  The feature id for the 'Registry Entry Query' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_BRANCH_TYPE_FEATURE_COUNT

    static final int SPECIFICATION_LINK_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Specification Link Branch Type' class.

  See Also:
    Constant Field Values

### STRING_CLAUSE_TYPE

    static final int STRING_CLAUSE_TYPE

  The meta object id for the '`String Clause Type`' class.

  See Also:
    `StringClauseTypeImpl`, `QueryPackageImpl.getStringClauseType()`, Constant Field Values

### STRING_CLAUSE_TYPE__VALUE

    static final int STRING_CLAUSE_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### STRING_CLAUSE_TYPE__STRING_PREDICATE

    static final int STRING_CLAUSE_TYPE__STRING_PREDICATE

  The feature id for the 'String Predicate' attribute.

  See Also:
    Constant Field Values

### STRING_CLAUSE_TYPE_FEATURE_COUNT

    static final int STRING_CLAUSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'String Clause Type' class.

  See Also:
    Constant Field Values

### USER_BRANCH_TYPE

    static final int USER_BRANCH_TYPE

  The meta object id for the '`User Branch Type`' class.

  See Also:
    `UserBranchTypeImpl`, `QueryPackageImpl.getUserBranchType()`, Constant Field Values

### USER_BRANCH_TYPE__USER_FILTER

    static final int USER_BRANCH_TYPE__USER_FILTER

  The feature id for the 'User Filter' containment reference.

  See Also:
    Constant Field Values

### USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER

    static final int USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER

  The feature id for the 'Postal Address Filter' containment reference.

  See Also:
    Constant Field Values

### USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER

    static final int USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER

  The feature id for the 'Telephone Number Filter' containment reference list.

  See Also:
    Constant Field Values

### USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER

    static final int USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER

  The feature id for the 'Email Address Filter' containment reference list.

  See Also:
    Constant Field Values

### USER_BRANCH_TYPE__ORGANIZATION_QUERY

    static final int USER_BRANCH_TYPE__ORGANIZATION_QUERY

  The feature id for the 'Organization Query' containment reference.

  See Also:
    Constant Field Values

### USER_BRANCH_TYPE_FEATURE_COUNT

    static final int USER_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'User Branch Type' class.

  See Also:
    Constant Field Values

### CONNECTIVE_PREDICATE_TYPE

    static final int CONNECTIVE_PREDICATE_TYPE

  The meta object id for the '`Connective Predicate Type`' enum.

  See Also:
    `ConnectivePredicateType`, `QueryPackageImpl.getConnectivePredicateType()`, Constant Field Values

### LOGICAL_PREDICATE_TYPE

    static final int LOGICAL_PREDICATE_TYPE

  The meta object id for the '`Logical Predicate Type`' enum.

  See Also:
    `LogicalPredicateType`, `QueryPackageImpl.getLogicalPredicateType()`, Constant Field Values

### RETURN_TYPE_TYPE

    static final int RETURN_TYPE_TYPE

  The meta object id for the '`Return Type Type`' enum.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeType()`, Constant Field Values

### STRING_PREDICATE_TYPE

    static final int STRING_PREDICATE_TYPE

  The meta object id for the '`String Predicate Type`' enum.

  See Also:
    `StringPredicateType`, `QueryPackageImpl.getStringPredicateType()`, Constant Field Values

### CONNECTIVE_PREDICATE_TYPE_OBJECT

    static final int CONNECTIVE_PREDICATE_TYPE_OBJECT

  The meta object id for the 'Connective Predicate Type Object' data type.

  See Also:
    `ConnectivePredicateType`, `QueryPackageImpl.getConnectivePredicateTypeObject()`, Constant Field Values

### LOGICAL_PREDICATE_TYPE_OBJECT

    static final int LOGICAL_PREDICATE_TYPE_OBJECT

  The meta object id for the 'Logical Predicate Type Object' data type.

  See Also:
    `LogicalPredicateType`, `QueryPackageImpl.getLogicalPredicateTypeObject()`, Constant Field Values

### RETURN_TYPE_TYPE_OBJECT

    static final int RETURN_TYPE_TYPE_OBJECT

  The meta object id for the 'Return Type Type Object' data type.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeTypeObject()`, Constant Field Values

### STRING_PREDICATE_TYPE_OBJECT

    static final int STRING_PREDICATE_TYPE_OBJECT

  The meta object id for the 'String Predicate Type Object' data type.

  See Also:
    `StringPredicateType`, `QueryPackageImpl.getStringPredicateTypeObject()`, Constant Field Values

Method Detail

### getAdhocQueryRequestType

    org.eclipse.emf.ecore.EClass getAdhocQueryRequestType()

  Returns the meta object for class '`Adhoc Query Request Type`'.

  Returns:
    the meta object for class 'Adhoc Query Request Type'.
  See Also:
    `AdhocQueryRequestType`

### getAdhocQueryRequestType_ResponseOption

    org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_ResponseOption()

  Returns the meta object for the containment reference '`Response Option`'.

  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `AdhocQueryRequestType.getResponseOption()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_FilterQuery

    org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_FilterQuery()

  Returns the meta object for the containment reference '`Filter Query`'.

  Returns:
    the meta object for the containment reference 'Filter Query'.
  See Also:
    `AdhocQueryRequestType.getFilterQuery()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_SQLQuery

    org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_SQLQuery()

  Returns the meta object for the attribute '`SQL Query`'.

  Returns:
    the meta object for the attribute 'SQL Query'.
  See Also:
    `AdhocQueryRequestType.getSQLQuery()`, `getAdhocQueryRequestType()`

### getAdhocQueryResponseType

    org.eclipse.emf.ecore.EClass getAdhocQueryResponseType()

  Returns the meta object for class '`Adhoc Query Response Type`'.

  Returns:
    the meta object for class 'Adhoc Query Response Type'.
  See Also:
    `AdhocQueryResponseType`

### getAdhocQueryResponseType_FilterQueryResult

    org.eclipse.emf.ecore.EReference getAdhocQueryResponseType_FilterQueryResult()

  Returns the meta object for the containment reference '`Filter Query Result`'.

  Returns:
    the meta object for the containment reference 'Filter Query Result'.
  See Also:
    `AdhocQueryResponseType.getFilterQueryResult()`, `getAdhocQueryResponseType()`

### getAdhocQueryResponseType_SQLQueryResult

    org.eclipse.emf.ecore.EReference getAdhocQueryResponseType_SQLQueryResult()

  Returns the meta object for the containment reference '`SQL Query Result`'.

  Returns:
    the meta object for the containment reference 'SQL Query Result'.
  See Also:
    `AdhocQueryResponseType.getSQLQueryResult()`, `getAdhocQueryResponseType()`

### getAssociationBranchType

    org.eclipse.emf.ecore.EClass getAssociationBranchType()

  Returns the meta object for class '`Association Branch Type`'.

  Returns:
    the meta object for class 'Association Branch Type'.
  See Also:
    `AssociationBranchType`

### getAssociationBranchType_AssociationFilter

    org.eclipse.emf.ecore.EReference getAssociationBranchType_AssociationFilter()

  Returns the meta object for the containment reference '`Association Filter`'.

  Returns:
    the meta object for the containment reference 'Association Filter'.
  See Also:
    `AssociationBranchType.getAssociationFilter()`, `getAssociationBranchType()`

### getAssociationBranchType_ExternalLinkFilter

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ExternalLinkFilter()

  Returns the meta object for the containment reference '`External Link Filter`'.

  Returns:
    the meta object for the containment reference 'External Link Filter'.
  See Also:
    `AssociationBranchType.getExternalLinkFilter()`, `getAssociationBranchType()`

### getAssociationBranchType_ExternalIdentifierFilter

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ExternalIdentifierFilter()

  Returns the meta object for the containment reference '`External Identifier Filter`'.

  Returns:
    the meta object for the containment reference 'External Identifier Filter'.
  See Also:
    `AssociationBranchType.getExternalIdentifierFilter()`, `getAssociationBranchType()`

### getAssociationBranchType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `AssociationBranchType.getRegistryObjectQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_RegistryEntryQuery()

  Returns the meta object for the containment reference '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `AssociationBranchType.getRegistryEntryQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_AssociationQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_AssociationQuery()

  Returns the meta object for the containment reference '`Association Query`'.

  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `AssociationBranchType.getAssociationQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_ClassificationQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ClassificationQuery()

  Returns the meta object for the containment reference '`Classification Query`'.

  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `AssociationBranchType.getClassificationQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `AssociationBranchType.getClassificationSchemeQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `AssociationBranchType.getClassificationNodeQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_OrganizationQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_OrganizationQuery()

  Returns the meta object for the containment reference '`Organization Query`'.

  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `AssociationBranchType.getOrganizationQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_AuditableEventQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_AuditableEventQuery()

  Returns the meta object for the containment reference '`Auditable Event Query`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `AssociationBranchType.getAuditableEventQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_RegistryPackageQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_RegistryPackageQuery()

  Returns the meta object for the containment reference '`Registry Package Query`'.

  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `AssociationBranchType.getRegistryPackageQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_ExtrinsicObjectQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ExtrinsicObjectQuery()

  Returns the meta object for the containment reference '`Extrinsic Object Query`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `AssociationBranchType.getExtrinsicObjectQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_ServiceQuery

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ServiceQuery()

  Returns the meta object for the containment reference '`Service Query`'.

  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `AssociationBranchType.getServiceQuery()`, `getAssociationBranchType()`

### getAssociationBranchType_UserBranch

    org.eclipse.emf.ecore.EReference getAssociationBranchType_UserBranch()

  Returns the meta object for the containment reference '`User Branch`'.

  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `AssociationBranchType.getUserBranch()`, `getAssociationBranchType()`

### getAssociationBranchType_ServiceBindingBranch

    org.eclipse.emf.ecore.EReference getAssociationBranchType_ServiceBindingBranch()

  Returns the meta object for the containment reference '`Service Binding Branch`'.

  Returns:
    the meta object for the containment reference 'Service Binding Branch'.
  See Also:
    `AssociationBranchType.getServiceBindingBranch()`, `getAssociationBranchType()`

### getAssociationBranchType_SpecificationLinkBranch

    org.eclipse.emf.ecore.EReference getAssociationBranchType_SpecificationLinkBranch()

  Returns the meta object for the containment reference '`Specification Link Branch`'.

  Returns:
    the meta object for the containment reference 'Specification Link Branch'.
  See Also:
    `AssociationBranchType.getSpecificationLinkBranch()`, `getAssociationBranchType()`

### getAssociationQueryResultType

    org.eclipse.emf.ecore.EClass getAssociationQueryResultType()

  Returns the meta object for class '`Association Query Result Type`'.

  Returns:
    the meta object for class 'Association Query Result Type'.
  See Also:
    `AssociationQueryResultType`

### getAssociationQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getAssociationQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `AssociationQueryResultType.getGroup()`, `getAssociationQueryResultType()`

### getAssociationQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getAssociationQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `AssociationQueryResultType.getObjectRef()`, `getAssociationQueryResultType()`

### getAssociationQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getAssociationQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `AssociationQueryResultType.getRegistryObject()`, `getAssociationQueryResultType()`

### getAssociationQueryResultType_Association

    org.eclipse.emf.ecore.EReference getAssociationQueryResultType_Association()

  Returns the meta object for the containment reference list '`Association`'.

  Returns:
    the meta object for the containment reference list 'Association'.
  See Also:
    `AssociationQueryResultType.getAssociation()`, `getAssociationQueryResultType()`

### getAssociationQueryType

    org.eclipse.emf.ecore.EClass getAssociationQueryType()

  Returns the meta object for class '`Association Query Type`'.

  Returns:
    the meta object for class 'Association Query Type'.
  See Also:
    `AssociationQueryType`

### getAssociationQueryType_AssociationFilter

    org.eclipse.emf.ecore.EReference getAssociationQueryType_AssociationFilter()

  Returns the meta object for the containment reference '`Association Filter`'.

  Returns:
    the meta object for the containment reference 'Association Filter'.
  See Also:
    `AssociationQueryType.getAssociationFilter()`, `getAssociationQueryType()`

### getAuditableEventQueryResultType

    org.eclipse.emf.ecore.EClass getAuditableEventQueryResultType()

  Returns the meta object for class '`Auditable Event Query Result Type`'.

  Returns:
    the meta object for class 'Auditable Event Query Result Type'.
  See Also:
    `AuditableEventQueryResultType`

### getAuditableEventQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getAuditableEventQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `AuditableEventQueryResultType.getGroup()`, `getAuditableEventQueryResultType()`

### getAuditableEventQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getAuditableEventQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `AuditableEventQueryResultType.getObjectRef()`, `getAuditableEventQueryResultType()`

### getAuditableEventQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getAuditableEventQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `AuditableEventQueryResultType.getRegistryObject()`, `getAuditableEventQueryResultType()`

### getAuditableEventQueryResultType_AuditableEvent

    org.eclipse.emf.ecore.EReference getAuditableEventQueryResultType_AuditableEvent()

  Returns the meta object for the containment reference list '`Auditable Event`'.

  Returns:
    the meta object for the containment reference list 'Auditable Event'.
  See Also:
    `AuditableEventQueryResultType.getAuditableEvent()`, `getAuditableEventQueryResultType()`

### getAuditableEventQueryType

    org.eclipse.emf.ecore.EClass getAuditableEventQueryType()

  Returns the meta object for class '`Auditable Event Query Type`'.

  Returns:
    the meta object for class 'Auditable Event Query Type'.
  See Also:
    `AuditableEventQueryType`

### getAuditableEventQueryType_AuditableEventFilter

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_AuditableEventFilter()

  Returns the meta object for the containment reference '`Auditable Event Filter`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Filter'.
  See Also:
    `AuditableEventQueryType.getAuditableEventFilter()`, `getAuditableEventQueryType()`

### getAuditableEventQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `AuditableEventQueryType.getRegistryObjectQuery()`, `getAuditableEventQueryType()`

### getAuditableEventQueryType_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_RegistryEntryQuery()

  Returns the meta object for the containment reference '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `AuditableEventQueryType.getRegistryEntryQuery()`, `getAuditableEventQueryType()`

### getAuditableEventQueryType_UserBranch

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_UserBranch()

  Returns the meta object for the containment reference '`User Branch`'.

  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `AuditableEventQueryType.getUserBranch()`, `getAuditableEventQueryType()`

### getBooleanClauseType

    org.eclipse.emf.ecore.EClass getBooleanClauseType()

  Returns the meta object for class '`Boolean Clause Type`'.

  Returns:
    the meta object for class 'Boolean Clause Type'.
  See Also:
    `BooleanClauseType`

### getBooleanClauseType_BooleanPredicate

    org.eclipse.emf.ecore.EAttribute getBooleanClauseType_BooleanPredicate()

  Returns the meta object for the attribute '`Boolean Predicate`'.

  Returns:
    the meta object for the attribute 'Boolean Predicate'.
  See Also:
    `BooleanClauseType.isBooleanPredicate()`, `getBooleanClauseType()`

### getClassificationNodeQueryResultType

    org.eclipse.emf.ecore.EClass getClassificationNodeQueryResultType()

  Returns the meta object for class '`Classification Node Query Result Type`'.

  Returns:
    the meta object for class 'Classification Node Query Result Type'.
  See Also:
    `ClassificationNodeQueryResultType`

### getClassificationNodeQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getClassificationNodeQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ClassificationNodeQueryResultType.getGroup()`, `getClassificationNodeQueryResultType()`

### getClassificationNodeQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ClassificationNodeQueryResultType.getObjectRef()`, `getClassificationNodeQueryResultType()`

### getClassificationNodeQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ClassificationNodeQueryResultType.getRegistryObject()`, `getClassificationNodeQueryResultType()`

### getClassificationNodeQueryResultType_ClassificationNode

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryResultType_ClassificationNode()

  Returns the meta object for the containment reference list '`Classification Node`'.

  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `ClassificationNodeQueryResultType.getClassificationNode()`, `getClassificationNodeQueryResultType()`

### getClassificationNodeQueryType

    org.eclipse.emf.ecore.EClass getClassificationNodeQueryType()

  Returns the meta object for class '`Classification Node Query Type`'.

  Returns:
    the meta object for class 'Classification Node Query Type'.
  See Also:
    `ClassificationNodeQueryType`

### getClassificationNodeQueryType_ClassificationNodeFilter

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationNodeFilter()

  Returns the meta object for the containment reference '`Classification Node Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Node Filter'.
  See Also:
    `ClassificationNodeQueryType.getClassificationNodeFilter()`, `getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassificationNodeQueryType.getClassificationSchemeQuery()`, `getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ClassificationNodeParentBranch

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationNodeParentBranch()

  Returns the meta object for the containment reference '`Classification Node Parent Branch`'.

  Returns:
    the meta object for the containment reference 'Classification Node Parent Branch'.
  See Also:
    `ClassificationNodeQueryType.getClassificationNodeParentBranch()`, `getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ClassificationNodeChildrenBranch

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationNodeChildrenBranch()

  Returns the meta object for the containment reference list '`Classification Node Children Branch`'.

  Returns:
    the meta object for the containment reference list 'Classification Node Children Branch'.
  See Also:
    `ClassificationNodeQueryType.getClassificationNodeChildrenBranch()`, `getClassificationNodeQueryType()`

### getClassificationQueryResultType

    org.eclipse.emf.ecore.EClass getClassificationQueryResultType()

  Returns the meta object for class '`Classification Query Result Type`'.

  Returns:
    the meta object for class 'Classification Query Result Type'.
  See Also:
    `ClassificationQueryResultType`

### getClassificationQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getClassificationQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ClassificationQueryResultType.getGroup()`, `getClassificationQueryResultType()`

### getClassificationQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getClassificationQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ClassificationQueryResultType.getObjectRef()`, `getClassificationQueryResultType()`

### getClassificationQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getClassificationQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ClassificationQueryResultType.getRegistryObject()`, `getClassificationQueryResultType()`

### getClassificationQueryResultType_Classification

    org.eclipse.emf.ecore.EReference getClassificationQueryResultType_Classification()

  Returns the meta object for the containment reference list '`Classification`'.

  Returns:
    the meta object for the containment reference list 'Classification'.
  See Also:
    `ClassificationQueryResultType.getClassification()`, `getClassificationQueryResultType()`

### getClassificationQueryType

    org.eclipse.emf.ecore.EClass getClassificationQueryType()

  Returns the meta object for class '`Classification Query Type`'.

  Returns:
    the meta object for class 'Classification Query Type'.
  See Also:
    `ClassificationQueryType`

### getClassificationQueryType_ClassificationFilter

    org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationFilter()

  Returns the meta object for the containment reference '`Classification Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Filter'.
  See Also:
    `ClassificationQueryType.getClassificationFilter()`, `getClassificationQueryType()`

### getClassificationQueryType_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassificationQueryType.getClassificationSchemeQuery()`, `getClassificationQueryType()`

### getClassificationQueryType_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `ClassificationQueryType.getClassificationNodeQuery()`, `getClassificationQueryType()`

### getClassificationQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `ClassificationQueryType.getRegistryObjectQuery()`, `getClassificationQueryType()`

### getClassificationQueryType_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_RegistryEntryQuery()

  Returns the meta object for the containment reference '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `ClassificationQueryType.getRegistryEntryQuery()`, `getClassificationQueryType()`

### getClassificationSchemeQueryResultType

    org.eclipse.emf.ecore.EClass getClassificationSchemeQueryResultType()

  Returns the meta object for class '`Classification Scheme Query Result Type`'.

  Returns:
    the meta object for class 'Classification Scheme Query Result Type'.
  See Also:
    `ClassificationSchemeQueryResultType`

### getClassificationSchemeQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getClassificationSchemeQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ClassificationSchemeQueryResultType.getGroup()`, `getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ClassificationSchemeQueryResultType.getObjectRef()`, `getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ClassificationSchemeQueryResultType.getRegistryObject()`, `getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_RegistryEntry

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_RegistryEntry()

  Returns the meta object for the containment reference list '`Registry Entry`'.

  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `ClassificationSchemeQueryResultType.getRegistryEntry()`, `getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_ClassificationScheme

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_ClassificationScheme()

  Returns the meta object for the containment reference list '`Classification Scheme`'.

  Returns:
    the meta object for the containment reference list 'Classification Scheme'.
  See Also:
    `ClassificationSchemeQueryResultType.getClassificationScheme()`, `getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryType

    org.eclipse.emf.ecore.EClass getClassificationSchemeQueryType()

  Returns the meta object for class '`Classification Scheme Query Type`'.

  Returns:
    the meta object for class 'Classification Scheme Query Type'.
  See Also:
    `ClassificationSchemeQueryType`

### getClassificationSchemeQueryType_ClassificationSchemeFilter

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryType_ClassificationSchemeFilter()

  Returns the meta object for the containment reference '`Classification Scheme Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Filter'.
  See Also:
    `ClassificationSchemeQueryType.getClassificationSchemeFilter()`, `getClassificationSchemeQueryType()`

### getClassifiedByBranchType

    org.eclipse.emf.ecore.EClass getClassifiedByBranchType()

  Returns the meta object for class '`Classified By Branch Type`'.

  Returns:
    the meta object for class 'Classified By Branch Type'.
  See Also:
    `ClassifiedByBranchType`

### getClassifiedByBranchType_ClassificationFilter

    org.eclipse.emf.ecore.EReference getClassifiedByBranchType_ClassificationFilter()

  Returns the meta object for the containment reference '`Classification Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Filter'.
  See Also:
    `ClassifiedByBranchType.getClassificationFilter()`, `getClassifiedByBranchType()`

### getClassifiedByBranchType_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getClassifiedByBranchType_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassifiedByBranchType.getClassificationSchemeQuery()`, `getClassifiedByBranchType()`

### getClassifiedByBranchType_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getClassifiedByBranchType_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `ClassifiedByBranchType.getClassificationNodeQuery()`, `getClassifiedByBranchType()`

### getClauseType

    org.eclipse.emf.ecore.EClass getClauseType()

  Returns the meta object for class '`Clause Type`'.

  Returns:
    the meta object for class 'Clause Type'.
  See Also:
    `ClauseType`

### getClauseType_SimpleClause

    org.eclipse.emf.ecore.EReference getClauseType_SimpleClause()

  Returns the meta object for the containment reference '`Simple Clause`'.

  Returns:
    the meta object for the containment reference 'Simple Clause'.
  See Also:
    `ClauseType.getSimpleClause()`, `getClauseType()`

### getClauseType_CompoundClause

    org.eclipse.emf.ecore.EReference getClauseType_CompoundClause()

  Returns the meta object for the containment reference '`Compound Clause`'.

  Returns:
    the meta object for the containment reference 'Compound Clause'.
  See Also:
    `ClauseType.getCompoundClause()`, `getClauseType()`

### getCompoundClauseType

    org.eclipse.emf.ecore.EClass getCompoundClauseType()

  Returns the meta object for class '`Compound Clause Type`'.

  Returns:
    the meta object for class 'Compound Clause Type'.
  See Also:
    `CompoundClauseType`

### getCompoundClauseType_Clause

    org.eclipse.emf.ecore.EReference getCompoundClauseType_Clause()

  Returns the meta object for the containment reference list '`Clause`'.

  Returns:
    the meta object for the containment reference list 'Clause'.
  See Also:
    `CompoundClauseType.getClause()`, `getCompoundClauseType()`

### getCompoundClauseType_ConnectivePredicate

    org.eclipse.emf.ecore.EAttribute getCompoundClauseType_ConnectivePredicate()

  Returns the meta object for the attribute '`Connective Predicate`'.

  Returns:
    the meta object for the attribute 'Connective Predicate'.
  See Also:
    `CompoundClauseType.getConnectivePredicate()`, `getCompoundClauseType()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_AdhocQueryRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryRequest()

  Returns the meta object for the containment reference '`Adhoc Query Request`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Request'.
  See Also:
    `DocumentRoot.getAdhocQueryRequest()`, `getDocumentRoot()`

### getDocumentRoot_AdhocQueryResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryResponse()

  Returns the meta object for the containment reference '`Adhoc Query Response`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Response'.
  See Also:
    `DocumentRoot.getAdhocQueryResponse()`, `getDocumentRoot()`

### getDocumentRoot_AssociationFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationFilter()

  Returns the meta object for the containment reference '`Association Filter`'.

  Returns:
    the meta object for the containment reference 'Association Filter'.
  See Also:
    `DocumentRoot.getAssociationFilter()`, `getDocumentRoot()`

### getDocumentRoot_AssociationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationQuery()

  Returns the meta object for the containment reference '`Association Query`'.

  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `DocumentRoot.getAssociationQuery()`, `getDocumentRoot()`

### getDocumentRoot_AssociationQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationQueryResult()

  Returns the meta object for the containment reference '`Association Query Result`'.

  Returns:
    the meta object for the containment reference 'Association Query Result'.
  See Also:
    `DocumentRoot.getAssociationQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_AuditableEventFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventFilter()

  Returns the meta object for the containment reference '`Auditable Event Filter`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Filter'.
  See Also:
    `DocumentRoot.getAuditableEventFilter()`, `getDocumentRoot()`

### getDocumentRoot_AuditableEventQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventQuery()

  Returns the meta object for the containment reference '`Auditable Event Query`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `DocumentRoot.getAuditableEventQuery()`, `getDocumentRoot()`

### getDocumentRoot_AuditableEventQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventQueryResult()

  Returns the meta object for the containment reference '`Auditable Event Query Result`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Query Result'.
  See Also:
    `DocumentRoot.getAuditableEventQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_BooleanClause

    org.eclipse.emf.ecore.EReference getDocumentRoot_BooleanClause()

  Returns the meta object for the containment reference '`Boolean Clause`'.

  Returns:
    the meta object for the containment reference 'Boolean Clause'.
  See Also:
    `DocumentRoot.getBooleanClause()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationFilter()

  Returns the meta object for the containment reference '`Classification Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Filter'.
  See Also:
    `DocumentRoot.getClassificationFilter()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNodeChildrenBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeChildrenBranch()

  Returns the meta object for the containment reference '`Classification Node Children Branch`'.

  Returns:
    the meta object for the containment reference 'Classification Node Children Branch'.
  See Also:
    `DocumentRoot.getClassificationNodeChildrenBranch()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNodeFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeFilter()

  Returns the meta object for the containment reference '`Classification Node Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Node Filter'.
  See Also:
    `DocumentRoot.getClassificationNodeFilter()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNodeParentBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeParentBranch()

  Returns the meta object for the containment reference '`Classification Node Parent Branch`'.

  Returns:
    the meta object for the containment reference 'Classification Node Parent Branch'.
  See Also:
    `DocumentRoot.getClassificationNodeParentBranch()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `DocumentRoot.getClassificationNodeQuery()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNodeQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeQueryResult()

  Returns the meta object for the containment reference '`Classification Node Query Result`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query Result'.
  See Also:
    `DocumentRoot.getClassificationNodeQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationQuery()

  Returns the meta object for the containment reference '`Classification Query`'.

  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `DocumentRoot.getClassificationQuery()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationQueryResult()

  Returns the meta object for the containment reference '`Classification Query Result`'.

  Returns:
    the meta object for the containment reference 'Classification Query Result'.
  See Also:
    `DocumentRoot.getClassificationQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeFilter()

  Returns the meta object for the containment reference '`Classification Scheme Filter`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Filter'.
  See Also:
    `DocumentRoot.getClassificationSchemeFilter()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `DocumentRoot.getClassificationSchemeQuery()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeQueryResult()

  Returns the meta object for the containment reference '`Classification Scheme Query Result`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query Result'.
  See Also:
    `DocumentRoot.getClassificationSchemeQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_ClassifiedByBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassifiedByBranch()

  Returns the meta object for the containment reference '`Classified By Branch`'.

  Returns:
    the meta object for the containment reference 'Classified By Branch'.
  See Also:
    `DocumentRoot.getClassifiedByBranch()`, `getDocumentRoot()`

### getDocumentRoot_Clause

    org.eclipse.emf.ecore.EReference getDocumentRoot_Clause()

  Returns the meta object for the containment reference '`Clause`'.

  Returns:
    the meta object for the containment reference 'Clause'.
  See Also:
    `DocumentRoot.getClause()`, `getDocumentRoot()`

### getDocumentRoot_CompoundClause

    org.eclipse.emf.ecore.EReference getDocumentRoot_CompoundClause()

  Returns the meta object for the containment reference '`Compound Clause`'.

  Returns:
    the meta object for the containment reference 'Compound Clause'.
  See Also:
    `DocumentRoot.getCompoundClause()`, `getDocumentRoot()`

### getDocumentRoot_DateTimeClause

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_DateTimeClause()

  Returns the meta object for the attribute '`Date Time Clause`'.

  Returns:
    the meta object for the attribute 'Date Time Clause'.
  See Also:
    `DocumentRoot.getDateTimeClause()`, `getDocumentRoot()`

### getDocumentRoot_DescriptionBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_DescriptionBranch()

  Returns the meta object for the containment reference '`Description Branch`'.

  Returns:
    the meta object for the containment reference 'Description Branch'.
  See Also:
    `DocumentRoot.getDescriptionBranch()`, `getDocumentRoot()`

### getDocumentRoot_EmailAddressFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_EmailAddressFilter()

  Returns the meta object for the containment reference '`Email Address Filter`'.

  Returns:
    the meta object for the containment reference 'Email Address Filter'.
  See Also:
    `DocumentRoot.getEmailAddressFilter()`, `getDocumentRoot()`

### getDocumentRoot_ExternalIdentifierFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalIdentifierFilter()

  Returns the meta object for the containment reference '`External Identifier Filter`'.

  Returns:
    the meta object for the containment reference 'External Identifier Filter'.
  See Also:
    `DocumentRoot.getExternalIdentifierFilter()`, `getDocumentRoot()`

### getDocumentRoot_ExternalLinkFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalLinkFilter()

  Returns the meta object for the containment reference '`External Link Filter`'.

  Returns:
    the meta object for the containment reference 'External Link Filter'.
  See Also:
    `DocumentRoot.getExternalLinkFilter()`, `getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectFilter()

  Returns the meta object for the containment reference '`Extrinsic Object Filter`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Filter'.
  See Also:
    `DocumentRoot.getExtrinsicObjectFilter()`, `getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectQuery()

  Returns the meta object for the containment reference '`Extrinsic Object Query`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `DocumentRoot.getExtrinsicObjectQuery()`, `getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectQueryResult()

  Returns the meta object for the containment reference '`Extrinsic Object Query Result`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Query Result'.
  See Also:
    `DocumentRoot.getExtrinsicObjectQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_FilterQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_FilterQuery()

  Returns the meta object for the containment reference '`Filter Query`'.

  Returns:
    the meta object for the containment reference 'Filter Query'.
  See Also:
    `DocumentRoot.getFilterQuery()`, `getDocumentRoot()`

### getDocumentRoot_FilterQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_FilterQueryResult()

  Returns the meta object for the containment reference '`Filter Query Result`'.

  Returns:
    the meta object for the containment reference 'Filter Query Result'.
  See Also:
    `DocumentRoot.getFilterQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_FloatClause

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_FloatClause()

  Returns the meta object for the attribute '`Float Clause`'.

  Returns:
    the meta object for the attribute 'Float Clause'.
  See Also:
    `DocumentRoot.getFloatClause()`, `getDocumentRoot()`

### getDocumentRoot_GetContentRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_GetContentRequest()

  Returns the meta object for the containment reference '`Get Content Request`'.

  Returns:
    the meta object for the containment reference 'Get Content Request'.
  See Also:
    `DocumentRoot.getGetContentRequest()`, `getDocumentRoot()`

### getDocumentRoot_GetContentResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_GetContentResponse()

  Returns the meta object for the containment reference '`Get Content Response`'.

  Returns:
    the meta object for the containment reference 'Get Content Response'.
  See Also:
    `DocumentRoot.getGetContentResponse()`, `getDocumentRoot()`

### getDocumentRoot_IntClause

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_IntClause()

  Returns the meta object for the attribute '`Int Clause`'.

  Returns:
    the meta object for the attribute 'Int Clause'.
  See Also:
    `DocumentRoot.getIntClause()`, `getDocumentRoot()`

### getDocumentRoot_LocalizedStringFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_LocalizedStringFilter()

  Returns the meta object for the containment reference '`Localized String Filter`'.

  Returns:
    the meta object for the containment reference 'Localized String Filter'.
  See Also:
    `DocumentRoot.getLocalizedStringFilter()`, `getDocumentRoot()`

### getDocumentRoot_NameBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_NameBranch()

  Returns the meta object for the containment reference '`Name Branch`'.

  Returns:
    the meta object for the containment reference 'Name Branch'.
  See Also:
    `DocumentRoot.getNameBranch()`, `getDocumentRoot()`

### getDocumentRoot_OrganizationChildrenBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationChildrenBranch()

  Returns the meta object for the containment reference '`Organization Children Branch`'.

  Returns:
    the meta object for the containment reference 'Organization Children Branch'.
  See Also:
    `DocumentRoot.getOrganizationChildrenBranch()`, `getDocumentRoot()`

### getDocumentRoot_OrganizationFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationFilter()

  Returns the meta object for the containment reference '`Organization Filter`'.

  Returns:
    the meta object for the containment reference 'Organization Filter'.
  See Also:
    `DocumentRoot.getOrganizationFilter()`, `getDocumentRoot()`

### getDocumentRoot_OrganizationParentBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationParentBranch()

  Returns the meta object for the containment reference '`Organization Parent Branch`'.

  Returns:
    the meta object for the containment reference 'Organization Parent Branch'.
  See Also:
    `DocumentRoot.getOrganizationParentBranch()`, `getDocumentRoot()`

### getDocumentRoot_OrganizationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationQuery()

  Returns the meta object for the containment reference '`Organization Query`'.

  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `DocumentRoot.getOrganizationQuery()`, `getDocumentRoot()`

### getDocumentRoot_OrganizationQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationQueryResult()

  Returns the meta object for the containment reference '`Organization Query Result`'.

  Returns:
    the meta object for the containment reference 'Organization Query Result'.
  See Also:
    `DocumentRoot.getOrganizationQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_PostalAddressFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_PostalAddressFilter()

  Returns the meta object for the containment reference '`Postal Address Filter`'.

  Returns:
    the meta object for the containment reference 'Postal Address Filter'.
  See Also:
    `DocumentRoot.getPostalAddressFilter()`, `getDocumentRoot()`

### getDocumentRoot_RationalClause

    org.eclipse.emf.ecore.EReference getDocumentRoot_RationalClause()

  Returns the meta object for the containment reference '`Rational Clause`'.

  Returns:
    the meta object for the containment reference 'Rational Clause'.
  See Also:
    `DocumentRoot.getRationalClause()`, `getDocumentRoot()`

### getDocumentRoot_RegistryEntryFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntryFilter()

  Returns the meta object for the containment reference '`Registry Entry Filter`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Filter'.
  See Also:
    `DocumentRoot.getRegistryEntryFilter()`, `getDocumentRoot()`

### getDocumentRoot_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntryQuery()

  Returns the meta object for the containment reference '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `DocumentRoot.getRegistryEntryQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryEntryQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntryQueryResult()

  Returns the meta object for the containment reference '`Registry Entry Query Result`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query Result'.
  See Also:
    `DocumentRoot.getRegistryEntryQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_RegistryObjectFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectFilter()

  Returns the meta object for the containment reference '`Registry Object Filter`'.

  Returns:
    the meta object for the containment reference 'Registry Object Filter'.
  See Also:
    `DocumentRoot.getRegistryObjectFilter()`, `getDocumentRoot()`

### getDocumentRoot_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `DocumentRoot.getRegistryObjectQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryObjectQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectQueryResult()

  Returns the meta object for the containment reference '`Registry Object Query Result`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query Result'.
  See Also:
    `DocumentRoot.getRegistryObjectQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_RegistryPackageFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageFilter()

  Returns the meta object for the containment reference '`Registry Package Filter`'.

  Returns:
    the meta object for the containment reference 'Registry Package Filter'.
  See Also:
    `DocumentRoot.getRegistryPackageFilter()`, `getDocumentRoot()`

### getDocumentRoot_RegistryPackageQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageQuery()

  Returns the meta object for the containment reference '`Registry Package Query`'.

  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `DocumentRoot.getRegistryPackageQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryPackageQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageQueryResult()

  Returns the meta object for the containment reference '`Registry Package Query Result`'.

  Returns:
    the meta object for the containment reference 'Registry Package Query Result'.
  See Also:
    `DocumentRoot.getRegistryPackageQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_ResponseOption

    org.eclipse.emf.ecore.EReference getDocumentRoot_ResponseOption()

  Returns the meta object for the containment reference '`Response Option`'.

  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `DocumentRoot.getResponseOption()`, `getDocumentRoot()`

### getDocumentRoot_ServiceBindingBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingBranch()

  Returns the meta object for the containment reference '`Service Binding Branch`'.

  Returns:
    the meta object for the containment reference 'Service Binding Branch'.
  See Also:
    `DocumentRoot.getServiceBindingBranch()`, `getDocumentRoot()`

### getDocumentRoot_ServiceBindingFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingFilter()

  Returns the meta object for the containment reference '`Service Binding Filter`'.

  Returns:
    the meta object for the containment reference 'Service Binding Filter'.
  See Also:
    `DocumentRoot.getServiceBindingFilter()`, `getDocumentRoot()`

### getDocumentRoot_ServiceBindingTargetBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingTargetBranch()

  Returns the meta object for the containment reference '`Service Binding Target Branch`'.

  Returns:
    the meta object for the containment reference 'Service Binding Target Branch'.
  See Also:
    `DocumentRoot.getServiceBindingTargetBranch()`, `getDocumentRoot()`

### getDocumentRoot_ServiceFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceFilter()

  Returns the meta object for the containment reference '`Service Filter`'.

  Returns:
    the meta object for the containment reference 'Service Filter'.
  See Also:
    `DocumentRoot.getServiceFilter()`, `getDocumentRoot()`

### getDocumentRoot_ServiceQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceQuery()

  Returns the meta object for the containment reference '`Service Query`'.

  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `DocumentRoot.getServiceQuery()`, `getDocumentRoot()`

### getDocumentRoot_ServiceQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceQueryResult()

  Returns the meta object for the containment reference '`Service Query Result`'.

  Returns:
    the meta object for the containment reference 'Service Query Result'.
  See Also:
    `DocumentRoot.getServiceQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_SimpleClause

    org.eclipse.emf.ecore.EReference getDocumentRoot_SimpleClause()

  Returns the meta object for the containment reference '`Simple Clause`'.

  Returns:
    the meta object for the containment reference 'Simple Clause'.
  See Also:
    `DocumentRoot.getSimpleClause()`, `getDocumentRoot()`

### getDocumentRoot_SlotBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_SlotBranch()

  Returns the meta object for the containment reference '`Slot Branch`'.

  Returns:
    the meta object for the containment reference 'Slot Branch'.
  See Also:
    `DocumentRoot.getSlotBranch()`, `getDocumentRoot()`

### getDocumentRoot_SlotFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_SlotFilter()

  Returns the meta object for the containment reference '`Slot Filter`'.

  Returns:
    the meta object for the containment reference 'Slot Filter'.
  See Also:
    `DocumentRoot.getSlotFilter()`, `getDocumentRoot()`

### getDocumentRoot_SlotValueFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_SlotValueFilter()

  Returns the meta object for the containment reference '`Slot Value Filter`'.

  Returns:
    the meta object for the containment reference 'Slot Value Filter'.
  See Also:
    `DocumentRoot.getSlotValueFilter()`, `getDocumentRoot()`

### getDocumentRoot_SourceAssociationBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_SourceAssociationBranch()

  Returns the meta object for the containment reference '`Source Association Branch`'.

  Returns:
    the meta object for the containment reference 'Source Association Branch'.
  See Also:
    `DocumentRoot.getSourceAssociationBranch()`, `getDocumentRoot()`

### getDocumentRoot_SpecificationLinkBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLinkBranch()

  Returns the meta object for the containment reference '`Specification Link Branch`'.

  Returns:
    the meta object for the containment reference 'Specification Link Branch'.
  See Also:
    `DocumentRoot.getSpecificationLinkBranch()`, `getDocumentRoot()`

### getDocumentRoot_SpecificationLinkFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLinkFilter()

  Returns the meta object for the containment reference '`Specification Link Filter`'.

  Returns:
    the meta object for the containment reference 'Specification Link Filter'.
  See Also:
    `DocumentRoot.getSpecificationLinkFilter()`, `getDocumentRoot()`

### getDocumentRoot_SqlQuery

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_SqlQuery()

  Returns the meta object for the attribute '`Sql Query`'.

  Returns:
    the meta object for the attribute 'Sql Query'.
  See Also:
    `DocumentRoot.getSqlQuery()`, `getDocumentRoot()`

### getDocumentRoot_SqlQueryResult

    org.eclipse.emf.ecore.EReference getDocumentRoot_SqlQueryResult()

  Returns the meta object for the containment reference '`Sql Query Result`'.

  Returns:
    the meta object for the containment reference 'Sql Query Result'.
  See Also:
    `DocumentRoot.getSqlQueryResult()`, `getDocumentRoot()`

### getDocumentRoot_StringClause

    org.eclipse.emf.ecore.EReference getDocumentRoot_StringClause()

  Returns the meta object for the containment reference '`String Clause`'.

  Returns:
    the meta object for the containment reference 'String Clause'.
  See Also:
    `DocumentRoot.getStringClause()`, `getDocumentRoot()`

### getDocumentRoot_TargetAssociationBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_TargetAssociationBranch()

  Returns the meta object for the containment reference '`Target Association Branch`'.

  Returns:
    the meta object for the containment reference 'Target Association Branch'.
  See Also:
    `DocumentRoot.getTargetAssociationBranch()`, `getDocumentRoot()`

### getDocumentRoot_TelephoneNumberFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_TelephoneNumberFilter()

  Returns the meta object for the containment reference '`Telephone Number Filter`'.

  Returns:
    the meta object for the containment reference 'Telephone Number Filter'.
  See Also:
    `DocumentRoot.getTelephoneNumberFilter()`, `getDocumentRoot()`

### getDocumentRoot_UserBranch

    org.eclipse.emf.ecore.EReference getDocumentRoot_UserBranch()

  Returns the meta object for the containment reference '`User Branch`'.

  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `DocumentRoot.getUserBranch()`, `getDocumentRoot()`

### getDocumentRoot_UserFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_UserFilter()

  Returns the meta object for the containment reference '`User Filter`'.

  Returns:
    the meta object for the containment reference 'User Filter'.
  See Also:
    `DocumentRoot.getUserFilter()`, `getDocumentRoot()`

### getExtrinsicObjectQueryResultType

    org.eclipse.emf.ecore.EClass getExtrinsicObjectQueryResultType()

  Returns the meta object for class '`Extrinsic Object Query Result Type`'.

  Returns:
    the meta object for class 'Extrinsic Object Query Result Type'.
  See Also:
    `ExtrinsicObjectQueryResultType`

### getExtrinsicObjectQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getExtrinsicObjectQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ExtrinsicObjectQueryResultType.getGroup()`, `getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ExtrinsicObjectQueryResultType.getObjectRef()`, `getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ExtrinsicObjectQueryResultType.getRegistryObject()`, `getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_RegistryEntry

    org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_RegistryEntry()

  Returns the meta object for the containment reference list '`Registry Entry`'.

  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `ExtrinsicObjectQueryResultType.getRegistryEntry()`, `getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_ExtrinsicObject

    org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_ExtrinsicObject()

  Returns the meta object for the containment reference list '`Extrinsic Object`'.

  Returns:
    the meta object for the containment reference list 'Extrinsic Object'.
  See Also:
    `ExtrinsicObjectQueryResultType.getExtrinsicObject()`, `getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryType

    org.eclipse.emf.ecore.EClass getExtrinsicObjectQueryType()

  Returns the meta object for class '`Extrinsic Object Query Type`'.

  Returns:
    the meta object for class 'Extrinsic Object Query Type'.
  See Also:
    `ExtrinsicObjectQueryType`

### getExtrinsicObjectQueryType_ExtrinsicObjectFilter

    org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryType_ExtrinsicObjectFilter()

  Returns the meta object for the containment reference '`Extrinsic Object Filter`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Filter'.
  See Also:
    `ExtrinsicObjectQueryType.getExtrinsicObjectFilter()`, `getExtrinsicObjectQueryType()`

### getFilterQueryResultType

    org.eclipse.emf.ecore.EClass getFilterQueryResultType()

  Returns the meta object for class '`Filter Query Result Type`'.

  Returns:
    the meta object for class 'Filter Query Result Type'.
  See Also:
    `FilterQueryResultType`

### getFilterQueryResultType_RegistryObjectQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_RegistryObjectQueryResult()

  Returns the meta object for the containment reference '`Registry Object Query Result`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query Result'.
  See Also:
    `FilterQueryResultType.getRegistryObjectQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_RegistryEntryQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_RegistryEntryQueryResult()

  Returns the meta object for the containment reference '`Registry Entry Query Result`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query Result'.
  See Also:
    `FilterQueryResultType.getRegistryEntryQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_AssociationQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_AssociationQueryResult()

  Returns the meta object for the containment reference '`Association Query Result`'.

  Returns:
    the meta object for the containment reference 'Association Query Result'.
  See Also:
    `FilterQueryResultType.getAssociationQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_AuditableEventQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_AuditableEventQueryResult()

  Returns the meta object for the containment reference '`Auditable Event Query Result`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Query Result'.
  See Also:
    `FilterQueryResultType.getAuditableEventQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_ClassificationQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_ClassificationQueryResult()

  Returns the meta object for the containment reference '`Classification Query Result`'.

  Returns:
    the meta object for the containment reference 'Classification Query Result'.
  See Also:
    `FilterQueryResultType.getClassificationQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_ClassificationNodeQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_ClassificationNodeQueryResult()

  Returns the meta object for the containment reference '`Classification Node Query Result`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query Result'.
  See Also:
    `FilterQueryResultType.getClassificationNodeQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_ClassificationSchemeQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_ClassificationSchemeQueryResult()

  Returns the meta object for the containment reference '`Classification Scheme Query Result`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query Result'.
  See Also:
    `FilterQueryResultType.getClassificationSchemeQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_RegistryPackageQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_RegistryPackageQueryResult()

  Returns the meta object for the containment reference '`Registry Package Query Result`'.

  Returns:
    the meta object for the containment reference 'Registry Package Query Result'.
  See Also:
    `FilterQueryResultType.getRegistryPackageQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_ExtrinsicObjectQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_ExtrinsicObjectQueryResult()

  Returns the meta object for the containment reference '`Extrinsic Object Query Result`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Query Result'.
  See Also:
    `FilterQueryResultType.getExtrinsicObjectQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_OrganizationQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_OrganizationQueryResult()

  Returns the meta object for the containment reference '`Organization Query Result`'.

  Returns:
    the meta object for the containment reference 'Organization Query Result'.
  See Also:
    `FilterQueryResultType.getOrganizationQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryResultType_ServiceQueryResult

    org.eclipse.emf.ecore.EReference getFilterQueryResultType_ServiceQueryResult()

  Returns the meta object for the containment reference '`Service Query Result`'.

  Returns:
    the meta object for the containment reference 'Service Query Result'.
  See Also:
    `FilterQueryResultType.getServiceQueryResult()`, `getFilterQueryResultType()`

### getFilterQueryType

    org.eclipse.emf.ecore.EClass getFilterQueryType()

  Returns the meta object for class '`Filter Query Type`'.

  Returns:
    the meta object for class 'Filter Query Type'.
  See Also:
    `FilterQueryType`

### getFilterQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `FilterQueryType.getRegistryObjectQuery()`, `getFilterQueryType()`

### getFilterQueryType_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_RegistryEntryQuery()

  Returns the meta object for the containment reference '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `FilterQueryType.getRegistryEntryQuery()`, `getFilterQueryType()`

### getFilterQueryType_AssociationQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_AssociationQuery()

  Returns the meta object for the containment reference '`Association Query`'.

  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `FilterQueryType.getAssociationQuery()`, `getFilterQueryType()`

### getFilterQueryType_AuditableEventQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_AuditableEventQuery()

  Returns the meta object for the containment reference '`Auditable Event Query`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `FilterQueryType.getAuditableEventQuery()`, `getFilterQueryType()`

### getFilterQueryType_ClassificationQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_ClassificationQuery()

  Returns the meta object for the containment reference '`Classification Query`'.

  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `FilterQueryType.getClassificationQuery()`, `getFilterQueryType()`

### getFilterQueryType_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `FilterQueryType.getClassificationNodeQuery()`, `getFilterQueryType()`

### getFilterQueryType_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `FilterQueryType.getClassificationSchemeQuery()`, `getFilterQueryType()`

### getFilterQueryType_RegistryPackageQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_RegistryPackageQuery()

  Returns the meta object for the containment reference '`Registry Package Query`'.

  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `FilterQueryType.getRegistryPackageQuery()`, `getFilterQueryType()`

### getFilterQueryType_ExtrinsicObjectQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_ExtrinsicObjectQuery()

  Returns the meta object for the containment reference '`Extrinsic Object Query`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `FilterQueryType.getExtrinsicObjectQuery()`, `getFilterQueryType()`

### getFilterQueryType_OrganizationQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_OrganizationQuery()

  Returns the meta object for the containment reference '`Organization Query`'.

  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `FilterQueryType.getOrganizationQuery()`, `getFilterQueryType()`

### getFilterQueryType_ServiceQuery

    org.eclipse.emf.ecore.EReference getFilterQueryType_ServiceQuery()

  Returns the meta object for the containment reference '`Service Query`'.

  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `FilterQueryType.getServiceQuery()`, `getFilterQueryType()`

### getFilterType

    org.eclipse.emf.ecore.EClass getFilterType()

  Returns the meta object for class '`Filter Type`'.

  Returns:
    the meta object for class 'Filter Type'.
  See Also:
    `FilterType`

### getFilterType_Clause

    org.eclipse.emf.ecore.EReference getFilterType_Clause()

  Returns the meta object for the containment reference '`Clause`'.

  Returns:
    the meta object for the containment reference 'Clause'.
  See Also:
    `FilterType.getClause()`, `getFilterType()`

### getGetContentRequestType

    org.eclipse.emf.ecore.EClass getGetContentRequestType()

  Returns the meta object for class '`Get Content Request Type`'.

  Returns:
    the meta object for class 'Get Content Request Type'.
  See Also:
    `GetContentRequestType`

### getGetContentRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getGetContentRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `GetContentRequestType.getObjectRefList()`, `getGetContentRequestType()`

### getGetContentResponseType

    org.eclipse.emf.ecore.EClass getGetContentResponseType()

  Returns the meta object for class '`Get Content Response Type`'.

  Returns:
    the meta object for class 'Get Content Response Type'.
  See Also:
    `GetContentResponseType`

### getInternationalStringBranchType

    org.eclipse.emf.ecore.EClass getInternationalStringBranchType()

  Returns the meta object for class '`International String Branch Type`'.

  Returns:
    the meta object for class 'International String Branch Type'.
  See Also:
    `InternationalStringBranchType`

### getInternationalStringBranchType_LocalizedStringFilter

    org.eclipse.emf.ecore.EReference getInternationalStringBranchType_LocalizedStringFilter()

  Returns the meta object for the containment reference list '`Localized String Filter`'.

  Returns:
    the meta object for the containment reference list 'Localized String Filter'.
  See Also:
    `InternationalStringBranchType.getLocalizedStringFilter()`, `getInternationalStringBranchType()`

### getOrganizationQueryResultType

    org.eclipse.emf.ecore.EClass getOrganizationQueryResultType()

  Returns the meta object for class '`Organization Query Result Type`'.

  Returns:
    the meta object for class 'Organization Query Result Type'.
  See Also:
    `OrganizationQueryResultType`

### getOrganizationQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getOrganizationQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `OrganizationQueryResultType.getGroup()`, `getOrganizationQueryResultType()`

### getOrganizationQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getOrganizationQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `OrganizationQueryResultType.getObjectRef()`, `getOrganizationQueryResultType()`

### getOrganizationQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getOrganizationQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `OrganizationQueryResultType.getRegistryObject()`, `getOrganizationQueryResultType()`

### getOrganizationQueryResultType_Organization

    org.eclipse.emf.ecore.EReference getOrganizationQueryResultType_Organization()

  Returns the meta object for the containment reference list '`Organization`'.

  Returns:
    the meta object for the containment reference list 'Organization'.
  See Also:
    `OrganizationQueryResultType.getOrganization()`, `getOrganizationQueryResultType()`

### getOrganizationQueryType

    org.eclipse.emf.ecore.EClass getOrganizationQueryType()

  Returns the meta object for class '`Organization Query Type`'.

  Returns:
    the meta object for class 'Organization Query Type'.
  See Also:
    `OrganizationQueryType`

### getOrganizationQueryType_OrganizationFilter

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_OrganizationFilter()

  Returns the meta object for the containment reference '`Organization Filter`'.

  Returns:
    the meta object for the containment reference 'Organization Filter'.
  See Also:
    `OrganizationQueryType.getOrganizationFilter()`, `getOrganizationQueryType()`

### getOrganizationQueryType_PostalAddressFilter

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_PostalAddressFilter()

  Returns the meta object for the containment reference '`Postal Address Filter`'.

  Returns:
    the meta object for the containment reference 'Postal Address Filter'.
  See Also:
    `OrganizationQueryType.getPostalAddressFilter()`, `getOrganizationQueryType()`

### getOrganizationQueryType_TelephoneNumberFilter

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_TelephoneNumberFilter()

  Returns the meta object for the containment reference list '`Telephone Number Filter`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `OrganizationQueryType.getTelephoneNumberFilter()`, `getOrganizationQueryType()`

### getOrganizationQueryType_UserBranch

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_UserBranch()

  Returns the meta object for the containment reference '`User Branch`'.

  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `OrganizationQueryType.getUserBranch()`, `getOrganizationQueryType()`

### getOrganizationQueryType_OrganizationParentBranch

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_OrganizationParentBranch()

  Returns the meta object for the containment reference '`Organization Parent Branch`'.

  Returns:
    the meta object for the containment reference 'Organization Parent Branch'.
  See Also:
    `OrganizationQueryType.getOrganizationParentBranch()`, `getOrganizationQueryType()`

### getOrganizationQueryType_OrganizationChildrenBranch

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_OrganizationChildrenBranch()

  Returns the meta object for the containment reference list '`Organization Children Branch`'.

  Returns:
    the meta object for the containment reference list 'Organization Children Branch'.
  See Also:
    `OrganizationQueryType.getOrganizationChildrenBranch()`, `getOrganizationQueryType()`

### getRationalClauseType

    org.eclipse.emf.ecore.EClass getRationalClauseType()

  Returns the meta object for class '`Rational Clause Type`'.

  Returns:
    the meta object for class 'Rational Clause Type'.
  See Also:
    `RationalClauseType`

### getRationalClauseType_IntClause

    org.eclipse.emf.ecore.EAttribute getRationalClauseType_IntClause()

  Returns the meta object for the attribute '`Int Clause`'.

  Returns:
    the meta object for the attribute 'Int Clause'.
  See Also:
    `RationalClauseType.getIntClause()`, `getRationalClauseType()`

### getRationalClauseType_FloatClause

    org.eclipse.emf.ecore.EAttribute getRationalClauseType_FloatClause()

  Returns the meta object for the attribute '`Float Clause`'.

  Returns:
    the meta object for the attribute 'Float Clause'.
  See Also:
    `RationalClauseType.getFloatClause()`, `getRationalClauseType()`

### getRationalClauseType_DateTimeClause

    org.eclipse.emf.ecore.EAttribute getRationalClauseType_DateTimeClause()

  Returns the meta object for the attribute '`Date Time Clause`'.

  Returns:
    the meta object for the attribute 'Date Time Clause'.
  See Also:
    `RationalClauseType.getDateTimeClause()`, `getRationalClauseType()`

### getRationalClauseType_LogicalPredicate

    org.eclipse.emf.ecore.EAttribute getRationalClauseType_LogicalPredicate()

  Returns the meta object for the attribute '`Logical Predicate`'.

  Returns:
    the meta object for the attribute 'Logical Predicate'.
  See Also:
    `RationalClauseType.getLogicalPredicate()`, `getRationalClauseType()`

### getRegistryEntryQueryResultType

    org.eclipse.emf.ecore.EClass getRegistryEntryQueryResultType()

  Returns the meta object for class '`Registry Entry Query Result Type`'.

  Returns:
    the meta object for class 'Registry Entry Query Result Type'.
  See Also:
    `RegistryEntryQueryResultType`

### getRegistryEntryQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getRegistryEntryQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `RegistryEntryQueryResultType.getGroup()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `RegistryEntryQueryResultType.getObjectRef()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_ClassificationScheme

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_ClassificationScheme()

  Returns the meta object for the containment reference list '`Classification Scheme`'.

  Returns:
    the meta object for the containment reference list 'Classification Scheme'.
  See Also:
    `RegistryEntryQueryResultType.getClassificationScheme()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_ExtrinsicObject

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_ExtrinsicObject()

  Returns the meta object for the containment reference list '`Extrinsic Object`'.

  Returns:
    the meta object for the containment reference list 'Extrinsic Object'.
  See Also:
    `RegistryEntryQueryResultType.getExtrinsicObject()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_RegistryEntry

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_RegistryEntry()

  Returns the meta object for the containment reference list '`Registry Entry`'.

  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `RegistryEntryQueryResultType.getRegistryEntry()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `RegistryEntryQueryResultType.getRegistryObject()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_RegistryPackage

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_RegistryPackage()

  Returns the meta object for the containment reference list '`Registry Package`'.

  Returns:
    the meta object for the containment reference list 'Registry Package'.
  See Also:
    `RegistryEntryQueryResultType.getRegistryPackage()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_Service

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_Service()

  Returns the meta object for the containment reference list '`Service`'.

  Returns:
    the meta object for the containment reference list 'Service'.
  See Also:
    `RegistryEntryQueryResultType.getService()`, `getRegistryEntryQueryResultType()`

### getRegistryEntryQueryType

    org.eclipse.emf.ecore.EClass getRegistryEntryQueryType()

  Returns the meta object for class '`Registry Entry Query Type`'.

  Returns:
    the meta object for class 'Registry Entry Query Type'.
  See Also:
    `RegistryEntryQueryType`

### getRegistryEntryQueryType_RegistryEntryFilter

    org.eclipse.emf.ecore.EReference getRegistryEntryQueryType_RegistryEntryFilter()

  Returns the meta object for the containment reference '`Registry Entry Filter`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Filter'.
  See Also:
    `RegistryEntryQueryType.getRegistryEntryFilter()`, `getRegistryEntryQueryType()`

### getRegistryObjectQueryType

    org.eclipse.emf.ecore.EClass getRegistryObjectQueryType()

  Returns the meta object for class '`Registry Object Query Type`'.

  Returns:
    the meta object for class 'Registry Object Query Type'.
  See Also:
    `RegistryObjectQueryType`

### getRegistryObjectQueryType_RegistryObjectFilter

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_RegistryObjectFilter()

  Returns the meta object for the containment reference '`Registry Object Filter`'.

  Returns:
    the meta object for the containment reference 'Registry Object Filter'.
  See Also:
    `RegistryObjectQueryType.getRegistryObjectFilter()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ExternalIdentifierFilter

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ExternalIdentifierFilter()

  Returns the meta object for the containment reference list '`External Identifier Filter`'.

  Returns:
    the meta object for the containment reference list 'External Identifier Filter'.
  See Also:
    `RegistryObjectQueryType.getExternalIdentifierFilter()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_AuditableEventQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_AuditableEventQuery()

  Returns the meta object for the containment reference list '`Auditable Event Query`'.

  Returns:
    the meta object for the containment reference list 'Auditable Event Query'.
  See Also:
    `RegistryObjectQueryType.getAuditableEventQuery()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_NameBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_NameBranch()

  Returns the meta object for the containment reference '`Name Branch`'.

  Returns:
    the meta object for the containment reference 'Name Branch'.
  See Also:
    `RegistryObjectQueryType.getNameBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_DescriptionBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_DescriptionBranch()

  Returns the meta object for the containment reference '`Description Branch`'.

  Returns:
    the meta object for the containment reference 'Description Branch'.
  See Also:
    `RegistryObjectQueryType.getDescriptionBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ClassifiedByBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ClassifiedByBranch()

  Returns the meta object for the containment reference list '`Classified By Branch`'.

  Returns:
    the meta object for the containment reference list 'Classified By Branch'.
  See Also:
    `RegistryObjectQueryType.getClassifiedByBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_SlotBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SlotBranch()

  Returns the meta object for the containment reference list '`Slot Branch`'.

  Returns:
    the meta object for the containment reference list 'Slot Branch'.
  See Also:
    `RegistryObjectQueryType.getSlotBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_SourceAssociationBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SourceAssociationBranch()

  Returns the meta object for the containment reference list '`Source Association Branch`'.

  Returns:
    the meta object for the containment reference list 'Source Association Branch'.
  See Also:
    `RegistryObjectQueryType.getSourceAssociationBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_TargetAssociationBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_TargetAssociationBranch()

  Returns the meta object for the containment reference list '`Target Association Branch`'.

  Returns:
    the meta object for the containment reference list 'Target Association Branch'.
  See Also:
    `RegistryObjectQueryType.getTargetAssociationBranch()`, `getRegistryObjectQueryType()`

### getRegistryPackageQueryResultType

    org.eclipse.emf.ecore.EClass getRegistryPackageQueryResultType()

  Returns the meta object for class '`Registry Package Query Result Type`'.

  Returns:
    the meta object for class 'Registry Package Query Result Type'.
  See Also:
    `RegistryPackageQueryResultType`

### getRegistryPackageQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getRegistryPackageQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `RegistryPackageQueryResultType.getGroup()`, `getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `RegistryPackageQueryResultType.getObjectRef()`, `getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_RegistryEntry

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_RegistryEntry()

  Returns the meta object for the containment reference list '`Registry Entry`'.

  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `RegistryPackageQueryResultType.getRegistryEntry()`, `getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `RegistryPackageQueryResultType.getRegistryObject()`, `getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_RegistryPackage

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_RegistryPackage()

  Returns the meta object for the containment reference list '`Registry Package`'.

  Returns:
    the meta object for the containment reference list 'Registry Package'.
  See Also:
    `RegistryPackageQueryResultType.getRegistryPackage()`, `getRegistryPackageQueryResultType()`

### getRegistryPackageQueryType

    org.eclipse.emf.ecore.EClass getRegistryPackageQueryType()

  Returns the meta object for class '`Registry Package Query Type`'.

  Returns:
    the meta object for class 'Registry Package Query Type'.
  See Also:
    `RegistryPackageQueryType`

### getRegistryPackageQueryType_RegistryPackageFilter

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryPackageFilter()

  Returns the meta object for the containment reference '`Registry Package Filter`'.

  Returns:
    the meta object for the containment reference 'Registry Package Filter'.
  See Also:
    `RegistryPackageQueryType.getRegistryPackageFilter()`, `getRegistryPackageQueryType()`

### getRegistryPackageQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference list '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference list 'Registry Object Query'.
  See Also:
    `RegistryPackageQueryType.getRegistryObjectQuery()`, `getRegistryPackageQueryType()`

### getRegistryPackageQueryType_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryEntryQuery()

  Returns the meta object for the containment reference list '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference list 'Registry Entry Query'.
  See Also:
    `RegistryPackageQueryType.getRegistryEntryQuery()`, `getRegistryPackageQueryType()`

### getResponseOptionType

    org.eclipse.emf.ecore.EClass getResponseOptionType()

  Returns the meta object for class '`Response Option Type`'.

  Returns:
    the meta object for class 'Response Option Type'.
  See Also:
    `ResponseOptionType`

### getResponseOptionType_ReturnComposedObjects

    org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnComposedObjects()

  Returns the meta object for the attribute '`Return Composed Objects`'.

  Returns:
    the meta object for the attribute 'Return Composed Objects'.
  See Also:
    `ResponseOptionType.isReturnComposedObjects()`, `getResponseOptionType()`

### getResponseOptionType_ReturnType

    org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnType()

  Returns the meta object for the attribute '`Return Type`'.

  Returns:
    the meta object for the attribute 'Return Type'.
  See Also:
    `ResponseOptionType.getReturnType()`, `getResponseOptionType()`

### getServiceBindingBranchType

    org.eclipse.emf.ecore.EClass getServiceBindingBranchType()

  Returns the meta object for class '`Service Binding Branch Type`'.

  Returns:
    the meta object for class 'Service Binding Branch Type'.
  See Also:
    `ServiceBindingBranchType`

### getServiceBindingBranchType_ServiceBindingFilter

    org.eclipse.emf.ecore.EReference getServiceBindingBranchType_ServiceBindingFilter()

  Returns the meta object for the containment reference '`Service Binding Filter`'.

  Returns:
    the meta object for the containment reference 'Service Binding Filter'.
  See Also:
    `ServiceBindingBranchType.getServiceBindingFilter()`, `getServiceBindingBranchType()`

### getServiceBindingBranchType_SpecificationLinkBranch

    org.eclipse.emf.ecore.EReference getServiceBindingBranchType_SpecificationLinkBranch()

  Returns the meta object for the containment reference list '`Specification Link Branch`'.

  Returns:
    the meta object for the containment reference list 'Specification Link Branch'.
  See Also:
    `ServiceBindingBranchType.getSpecificationLinkBranch()`, `getServiceBindingBranchType()`

### getServiceBindingBranchType_ServiceBindingTargetBranch

    org.eclipse.emf.ecore.EReference getServiceBindingBranchType_ServiceBindingTargetBranch()

  Returns the meta object for the containment reference '`Service Binding Target Branch`'.

  Returns:
    the meta object for the containment reference 'Service Binding Target Branch'.
  See Also:
    `ServiceBindingBranchType.getServiceBindingTargetBranch()`, `getServiceBindingBranchType()`

### getServiceQueryResultType

    org.eclipse.emf.ecore.EClass getServiceQueryResultType()

  Returns the meta object for class '`Service Query Result Type`'.

  Returns:
    the meta object for class 'Service Query Result Type'.
  See Also:
    `ServiceQueryResultType`

### getServiceQueryResultType_Group

    org.eclipse.emf.ecore.EAttribute getServiceQueryResultType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ServiceQueryResultType.getGroup()`, `getServiceQueryResultType()`

### getServiceQueryResultType_ObjectRef

    org.eclipse.emf.ecore.EReference getServiceQueryResultType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ServiceQueryResultType.getObjectRef()`, `getServiceQueryResultType()`

### getServiceQueryResultType_RegistryObject

    org.eclipse.emf.ecore.EReference getServiceQueryResultType_RegistryObject()

  Returns the meta object for the containment reference list '`Registry Object`'.

  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ServiceQueryResultType.getRegistryObject()`, `getServiceQueryResultType()`

### getServiceQueryResultType_RegistryEntry

    org.eclipse.emf.ecore.EReference getServiceQueryResultType_RegistryEntry()

  Returns the meta object for the containment reference list '`Registry Entry`'.

  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `ServiceQueryResultType.getRegistryEntry()`, `getServiceQueryResultType()`

### getServiceQueryResultType_Service

    org.eclipse.emf.ecore.EReference getServiceQueryResultType_Service()

  Returns the meta object for the containment reference list '`Service`'.

  Returns:
    the meta object for the containment reference list 'Service'.
  See Also:
    `ServiceQueryResultType.getService()`, `getServiceQueryResultType()`

### getServiceQueryType

    org.eclipse.emf.ecore.EClass getServiceQueryType()

  Returns the meta object for class '`Service Query Type`'.

  Returns:
    the meta object for class 'Service Query Type'.
  See Also:
    `ServiceQueryType`

### getServiceQueryType_ServiceFilter

    org.eclipse.emf.ecore.EReference getServiceQueryType_ServiceFilter()

  Returns the meta object for the containment reference '`Service Filter`'.

  Returns:
    the meta object for the containment reference 'Service Filter'.
  See Also:
    `ServiceQueryType.getServiceFilter()`, `getServiceQueryType()`

### getServiceQueryType_ServiceBindingBranch

    org.eclipse.emf.ecore.EReference getServiceQueryType_ServiceBindingBranch()

  Returns the meta object for the containment reference list '`Service Binding Branch`'.

  Returns:
    the meta object for the containment reference list 'Service Binding Branch'.
  See Also:
    `ServiceQueryType.getServiceBindingBranch()`, `getServiceQueryType()`

### getSimpleClauseType

    org.eclipse.emf.ecore.EClass getSimpleClauseType()

  Returns the meta object for class '`Simple Clause Type`'.

  Returns:
    the meta object for class 'Simple Clause Type'.
  See Also:
    `SimpleClauseType`

### getSimpleClauseType_BooleanClause

    org.eclipse.emf.ecore.EReference getSimpleClauseType_BooleanClause()

  Returns the meta object for the containment reference '`Boolean Clause`'.

  Returns:
    the meta object for the containment reference 'Boolean Clause'.
  See Also:
    `SimpleClauseType.getBooleanClause()`, `getSimpleClauseType()`

### getSimpleClauseType_RationalClause

    org.eclipse.emf.ecore.EReference getSimpleClauseType_RationalClause()

  Returns the meta object for the containment reference '`Rational Clause`'.

  Returns:
    the meta object for the containment reference 'Rational Clause'.
  See Also:
    `SimpleClauseType.getRationalClause()`, `getSimpleClauseType()`

### getSimpleClauseType_StringClause

    org.eclipse.emf.ecore.EReference getSimpleClauseType_StringClause()

  Returns the meta object for the containment reference '`String Clause`'.

  Returns:
    the meta object for the containment reference 'String Clause'.
  See Also:
    `SimpleClauseType.getStringClause()`, `getSimpleClauseType()`

### getSimpleClauseType_LeftArgument

    org.eclipse.emf.ecore.EAttribute getSimpleClauseType_LeftArgument()

  Returns the meta object for the attribute '`Left Argument`'.

  Returns:
    the meta object for the attribute 'Left Argument'.
  See Also:
    `SimpleClauseType.getLeftArgument()`, `getSimpleClauseType()`

### getSlotBranchType

    org.eclipse.emf.ecore.EClass getSlotBranchType()

  Returns the meta object for class '`Slot Branch Type`'.

  Returns:
    the meta object for class 'Slot Branch Type'.
  See Also:
    `SlotBranchType`

### getSlotBranchType_SlotFilter

    org.eclipse.emf.ecore.EReference getSlotBranchType_SlotFilter()

  Returns the meta object for the containment reference '`Slot Filter`'.

  Returns:
    the meta object for the containment reference 'Slot Filter'.
  See Also:
    `SlotBranchType.getSlotFilter()`, `getSlotBranchType()`

### getSlotBranchType_SlotValueFilter

    org.eclipse.emf.ecore.EReference getSlotBranchType_SlotValueFilter()

  Returns the meta object for the containment reference list '`Slot Value Filter`'.

  Returns:
    the meta object for the containment reference list 'Slot Value Filter'.
  See Also:
    `SlotBranchType.getSlotValueFilter()`, `getSlotBranchType()`

### getSpecificationLinkBranchType

    org.eclipse.emf.ecore.EClass getSpecificationLinkBranchType()

  Returns the meta object for class '`Specification Link Branch Type`'.

  Returns:
    the meta object for class 'Specification Link Branch Type'.
  See Also:
    `SpecificationLinkBranchType`

### getSpecificationLinkBranchType_SpecificationLinkFilter

    org.eclipse.emf.ecore.EReference getSpecificationLinkBranchType_SpecificationLinkFilter()

  Returns the meta object for the containment reference '`Specification Link Filter`'.

  Returns:
    the meta object for the containment reference 'Specification Link Filter'.
  See Also:
    `SpecificationLinkBranchType.getSpecificationLinkFilter()`, `getSpecificationLinkBranchType()`

### getSpecificationLinkBranchType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getSpecificationLinkBranchType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `SpecificationLinkBranchType.getRegistryObjectQuery()`, `getSpecificationLinkBranchType()`

### getSpecificationLinkBranchType_RegistryEntryQuery

    org.eclipse.emf.ecore.EReference getSpecificationLinkBranchType_RegistryEntryQuery()

  Returns the meta object for the containment reference '`Registry Entry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `SpecificationLinkBranchType.getRegistryEntryQuery()`, `getSpecificationLinkBranchType()`

### getStringClauseType

    org.eclipse.emf.ecore.EClass getStringClauseType()

  Returns the meta object for class '`String Clause Type`'.

  Returns:
    the meta object for class 'String Clause Type'.
  See Also:
    `StringClauseType`

### getStringClauseType_Value

    org.eclipse.emf.ecore.EAttribute getStringClauseType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringClauseType.getValue()`, `getStringClauseType()`

### getStringClauseType_StringPredicate

    org.eclipse.emf.ecore.EAttribute getStringClauseType_StringPredicate()

  Returns the meta object for the attribute '`String Predicate`'.

  Returns:
    the meta object for the attribute 'String Predicate'.
  See Also:
    `StringClauseType.getStringPredicate()`, `getStringClauseType()`

### getUserBranchType

    org.eclipse.emf.ecore.EClass getUserBranchType()

  Returns the meta object for class '`User Branch Type`'.

  Returns:
    the meta object for class 'User Branch Type'.
  See Also:
    `UserBranchType`

### getUserBranchType_UserFilter

    org.eclipse.emf.ecore.EReference getUserBranchType_UserFilter()

  Returns the meta object for the containment reference '`User Filter`'.

  Returns:
    the meta object for the containment reference 'User Filter'.
  See Also:
    `UserBranchType.getUserFilter()`, `getUserBranchType()`

### getUserBranchType_PostalAddressFilter

    org.eclipse.emf.ecore.EReference getUserBranchType_PostalAddressFilter()

  Returns the meta object for the containment reference '`Postal Address Filter`'.

  Returns:
    the meta object for the containment reference 'Postal Address Filter'.
  See Also:
    `UserBranchType.getPostalAddressFilter()`, `getUserBranchType()`

### getUserBranchType_TelephoneNumberFilter

    org.eclipse.emf.ecore.EReference getUserBranchType_TelephoneNumberFilter()

  Returns the meta object for the containment reference list '`Telephone Number Filter`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `UserBranchType.getTelephoneNumberFilter()`, `getUserBranchType()`

### getUserBranchType_EmailAddressFilter

    org.eclipse.emf.ecore.EReference getUserBranchType_EmailAddressFilter()

  Returns the meta object for the containment reference list '`Email Address Filter`'.

  Returns:
    the meta object for the containment reference list 'Email Address Filter'.
  See Also:
    `UserBranchType.getEmailAddressFilter()`, `getUserBranchType()`

### getUserBranchType_OrganizationQuery

    org.eclipse.emf.ecore.EReference getUserBranchType_OrganizationQuery()

  Returns the meta object for the containment reference '`Organization Query`'.

  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `UserBranchType.getOrganizationQuery()`, `getUserBranchType()`

### getConnectivePredicateType

    org.eclipse.emf.ecore.EEnum getConnectivePredicateType()

  Returns the meta object for enum '`Connective Predicate Type`'.

  Returns:
    the meta object for enum 'Connective Predicate Type'.
  See Also:
    `ConnectivePredicateType`

### getLogicalPredicateType

    org.eclipse.emf.ecore.EEnum getLogicalPredicateType()

  Returns the meta object for enum '`Logical Predicate Type`'.

  Returns:
    the meta object for enum 'Logical Predicate Type'.
  See Also:
    `LogicalPredicateType`

### getReturnTypeType

    org.eclipse.emf.ecore.EEnum getReturnTypeType()

  Returns the meta object for enum '`Return Type Type`'.

  Returns:
    the meta object for enum 'Return Type Type'.
  See Also:
    `ReturnTypeType`

### getStringPredicateType

    org.eclipse.emf.ecore.EEnum getStringPredicateType()

  Returns the meta object for enum '`String Predicate Type`'.

  Returns:
    the meta object for enum 'String Predicate Type'.
  See Also:
    `StringPredicateType`

### getConnectivePredicateTypeObject

    org.eclipse.emf.ecore.EDataType getConnectivePredicateTypeObject()

  Returns the meta object for data type '`Connective Predicate Type Object`'.

  Returns:
    the meta object for data type 'Connective Predicate Type Object'.
  See Also:
    `ConnectivePredicateType`

### getLogicalPredicateTypeObject

    org.eclipse.emf.ecore.EDataType getLogicalPredicateTypeObject()

  Returns the meta object for data type '`Logical Predicate Type Object`'.

  Returns:
    the meta object for data type 'Logical Predicate Type Object'.
  See Also:
    `LogicalPredicateType`

### getReturnTypeTypeObject

    org.eclipse.emf.ecore.EDataType getReturnTypeTypeObject()

  Returns the meta object for data type '`Return Type Type Object`'.

  Returns:
    the meta object for data type 'Return Type Type Object'.
  See Also:
    `ReturnTypeType`

### getStringPredicateTypeObject

    org.eclipse.emf.ecore.EDataType getStringPredicateTypeObject()

  Returns the meta object for data type '`String Predicate Type Object`'.

  Returns:
    the meta object for data type 'String Predicate Type Object'.
  See Also:
    `StringPredicateType`

### getQueryFactory

    QueryFactory getQueryFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD